/// <reference types="long" />
import * as _92 from "./abci/types";
import * as _93 from "./crypto/keys";
import * as _94 from "./crypto/proof";
import * as _95 from "./libs/bits/types";
import * as _96 from "./p2p/types";
import * as _97 from "./types/block";
import * as _98 from "./types/evidence";
import * as _99 from "./types/params";
import * as _100 from "./types/types";
import * as _101 from "./types/validator";
import * as _102 from "./version/types";
export declare namespace tendermint {
    const abci: {
        checkTxTypeFromJSON(object: any): _92.CheckTxType;
        checkTxTypeToJSON(object: _92.CheckTxType): string;
        responseOfferSnapshot_ResultFromJSON(object: any): _92.ResponseOfferSnapshot_Result;
        responseOfferSnapshot_ResultToJSON(object: _92.ResponseOfferSnapshot_Result): string;
        responseApplySnapshotChunk_ResultFromJSON(object: any): _92.ResponseApplySnapshotChunk_Result;
        responseApplySnapshotChunk_ResultToJSON(object: _92.ResponseApplySnapshotChunk_Result): string;
        responseProcessProposal_ProposalStatusFromJSON(object: any): _92.ResponseProcessProposal_ProposalStatus;
        responseProcessProposal_ProposalStatusToJSON(object: _92.ResponseProcessProposal_ProposalStatus): string;
        responseVerifyVoteExtension_VerifyStatusFromJSON(object: any): _92.ResponseVerifyVoteExtension_VerifyStatus;
        responseVerifyVoteExtension_VerifyStatusToJSON(object: _92.ResponseVerifyVoteExtension_VerifyStatus): string;
        misbehaviorTypeFromJSON(object: any): _92.MisbehaviorType;
        misbehaviorTypeToJSON(object: _92.MisbehaviorType): string;
        CheckTxType: typeof _92.CheckTxType;
        CheckTxTypeSDKType: typeof _92.CheckTxType;
        CheckTxTypeAmino: typeof _92.CheckTxType;
        ResponseOfferSnapshot_Result: typeof _92.ResponseOfferSnapshot_Result;
        ResponseOfferSnapshot_ResultSDKType: typeof _92.ResponseOfferSnapshot_Result;
        ResponseOfferSnapshot_ResultAmino: typeof _92.ResponseOfferSnapshot_Result;
        ResponseApplySnapshotChunk_Result: typeof _92.ResponseApplySnapshotChunk_Result;
        ResponseApplySnapshotChunk_ResultSDKType: typeof _92.ResponseApplySnapshotChunk_Result;
        ResponseApplySnapshotChunk_ResultAmino: typeof _92.ResponseApplySnapshotChunk_Result;
        ResponseProcessProposal_ProposalStatus: typeof _92.ResponseProcessProposal_ProposalStatus;
        ResponseProcessProposal_ProposalStatusSDKType: typeof _92.ResponseProcessProposal_ProposalStatus;
        ResponseProcessProposal_ProposalStatusAmino: typeof _92.ResponseProcessProposal_ProposalStatus;
        ResponseVerifyVoteExtension_VerifyStatus: typeof _92.ResponseVerifyVoteExtension_VerifyStatus;
        ResponseVerifyVoteExtension_VerifyStatusSDKType: typeof _92.ResponseVerifyVoteExtension_VerifyStatus;
        ResponseVerifyVoteExtension_VerifyStatusAmino: typeof _92.ResponseVerifyVoteExtension_VerifyStatus;
        MisbehaviorType: typeof _92.MisbehaviorType;
        MisbehaviorTypeSDKType: typeof _92.MisbehaviorType;
        MisbehaviorTypeAmino: typeof _92.MisbehaviorType;
        Request: {
            encode(message: _92.Request, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.Request;
            fromPartial(object: {
                echo?: {
                    message?: string;
                };
                flush?: {};
                info?: {
                    version?: string;
                    blockVersion?: string | number | import("long").Long;
                    p2pVersion?: string | number | import("long").Long;
                    abciVersion?: string;
                };
                initChain?: {
                    time?: Date;
                    chainId?: string;
                    consensusParams?: {
                        block?: {
                            maxBytes?: string | number | import("long").Long;
                            maxGas?: string | number | import("long").Long;
                        };
                        evidence?: {
                            maxAgeNumBlocks?: string | number | import("long").Long;
                            maxAgeDuration?: {
                                seconds?: string | number | import("long").Long;
                                nanos?: number;
                            };
                            maxBytes?: string | number | import("long").Long;
                        };
                        validator?: {
                            pubKeyTypes?: string[];
                        };
                        version?: {
                            app?: string | number | import("long").Long;
                        };
                        abci?: {
                            voteExtensionsEnableHeight?: string | number | import("long").Long;
                        };
                    };
                    validators?: {
                        pubKey?: {
                            ed25519?: Uint8Array;
                            secp256k1?: Uint8Array;
                        };
                        power?: string | number | import("long").Long;
                    }[];
                    appStateBytes?: Uint8Array;
                    initialHeight?: string | number | import("long").Long;
                };
                query?: {
                    data?: Uint8Array;
                    path?: string;
                    height?: string | number | import("long").Long;
                    prove?: boolean;
                };
                checkTx?: {
                    tx?: Uint8Array;
                    type?: _92.CheckTxType;
                };
                commit?: {};
                listSnapshots?: {};
                offerSnapshot?: {
                    snapshot?: {
                        height?: string | number | import("long").Long;
                        format?: number;
                        chunks?: number;
                        hash?: Uint8Array;
                        metadata?: Uint8Array;
                    };
                    appHash?: Uint8Array;
                };
                loadSnapshotChunk?: {
                    height?: string | number | import("long").Long;
                    format?: number;
                    chunk?: number;
                };
                applySnapshotChunk?: {
                    index?: number;
                    chunk?: Uint8Array;
                    sender?: string;
                };
                prepareProposal?: {
                    maxTxBytes?: string | number | import("long").Long;
                    txs?: Uint8Array[];
                    localLastCommit?: {
                        round?: number;
                        votes?: {
                            validator?: {
                                address?: Uint8Array;
                                power?: string | number | import("long").Long;
                            };
                            voteExtension?: Uint8Array;
                            extensionSignature?: Uint8Array;
                            blockIdFlag?: _101.BlockIDFlag;
                        }[];
                    };
                    misbehavior?: {
                        type?: _92.MisbehaviorType;
                        validator?: {
                            address?: Uint8Array;
                            power?: string | number | import("long").Long;
                        };
                        height?: string | number | import("long").Long;
                        time?: Date;
                        totalVotingPower?: string | number | import("long").Long;
                    }[];
                    height?: string | number | import("long").Long;
                    time?: Date;
                    nextValidatorsHash?: Uint8Array;
                    proposerAddress?: Uint8Array;
                };
                processProposal?: {
                    txs?: Uint8Array[];
                    proposedLastCommit?: {
                        round?: number;
                        votes?: {
                            validator?: {
                                address?: Uint8Array;
                                power?: string | number | import("long").Long;
                            };
                            blockIdFlag?: _101.BlockIDFlag;
                        }[];
                    };
                    misbehavior?: {
                        type?: _92.MisbehaviorType;
                        validator?: {
                            address?: Uint8Array;
                            power?: string | number | import("long").Long;
                        };
                        height?: string | number | import("long").Long;
                        time?: Date;
                        totalVotingPower?: string | number | import("long").Long;
                    }[];
                    hash?: Uint8Array;
                    height?: string | number | import("long").Long;
                    time?: Date;
                    nextValidatorsHash?: Uint8Array;
                    proposerAddress?: Uint8Array;
                };
                extendVote?: {
                    hash?: Uint8Array;
                    height?: string | number | import("long").Long;
                };
                verifyVoteExtension?: {
                    hash?: Uint8Array;
                    validatorAddress?: Uint8Array;
                    height?: string | number | import("long").Long;
                    voteExtension?: Uint8Array;
                };
                finalizeBlock?: {
                    txs?: Uint8Array[];
                    decidedLastCommit?: {
                        round?: number;
                        votes?: {
                            validator?: {
                                address?: Uint8Array;
                                power?: string | number | import("long").Long;
                            };
                            blockIdFlag?: _101.BlockIDFlag;
                        }[];
                    };
                    misbehavior?: {
                        type?: _92.MisbehaviorType;
                        validator?: {
                            address?: Uint8Array;
                            power?: string | number | import("long").Long;
                        };
                        height?: string | number | import("long").Long;
                        time?: Date;
                        totalVotingPower?: string | number | import("long").Long;
                    }[];
                    hash?: Uint8Array;
                    height?: string | number | import("long").Long;
                    time?: Date;
                    nextValidatorsHash?: Uint8Array;
                    proposerAddress?: Uint8Array;
                };
            }): _92.Request;
            fromAmino(object: _92.RequestAmino): _92.Request;
            toAmino(message: _92.Request): _92.RequestAmino;
            fromAminoMsg(object: _92.RequestAminoMsg): _92.Request;
            fromProtoMsg(message: _92.RequestProtoMsg): _92.Request;
            toProto(message: _92.Request): Uint8Array;
            toProtoMsg(message: _92.Request): _92.RequestProtoMsg;
        };
        RequestEcho: {
            encode(message: _92.RequestEcho, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.RequestEcho;
            fromPartial(object: {
                message?: string;
            }): _92.RequestEcho;
            fromAmino(object: _92.RequestEchoAmino): _92.RequestEcho;
            toAmino(message: _92.RequestEcho): _92.RequestEchoAmino;
            fromAminoMsg(object: _92.RequestEchoAminoMsg): _92.RequestEcho;
            fromProtoMsg(message: _92.RequestEchoProtoMsg): _92.RequestEcho;
            toProto(message: _92.RequestEcho): Uint8Array;
            toProtoMsg(message: _92.RequestEcho): _92.RequestEchoProtoMsg;
        };
        RequestFlush: {
            encode(_: _92.RequestFlush, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.RequestFlush;
            fromPartial(_: {}): _92.RequestFlush;
            fromAmino(_: _92.RequestFlushAmino): _92.RequestFlush;
            toAmino(_: _92.RequestFlush): _92.RequestFlushAmino;
            fromAminoMsg(object: _92.RequestFlushAminoMsg): _92.RequestFlush;
            fromProtoMsg(message: _92.RequestFlushProtoMsg): _92.RequestFlush;
            toProto(message: _92.RequestFlush): Uint8Array;
            toProtoMsg(message: _92.RequestFlush): _92.RequestFlushProtoMsg;
        };
        RequestInfo: {
            encode(message: _92.RequestInfo, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.RequestInfo;
            fromPartial(object: {
                version?: string;
                blockVersion?: string | number | import("long").Long;
                p2pVersion?: string | number | import("long").Long;
                abciVersion?: string;
            }): _92.RequestInfo;
            fromAmino(object: _92.RequestInfoAmino): _92.RequestInfo;
            toAmino(message: _92.RequestInfo): _92.RequestInfoAmino;
            fromAminoMsg(object: _92.RequestInfoAminoMsg): _92.RequestInfo;
            fromProtoMsg(message: _92.RequestInfoProtoMsg): _92.RequestInfo;
            toProto(message: _92.RequestInfo): Uint8Array;
            toProtoMsg(message: _92.RequestInfo): _92.RequestInfoProtoMsg;
        };
        RequestInitChain: {
            encode(message: _92.RequestInitChain, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.RequestInitChain;
            fromPartial(object: {
                time?: Date;
                chainId?: string;
                consensusParams?: {
                    block?: {
                        maxBytes?: string | number | import("long").Long;
                        maxGas?: string | number | import("long").Long;
                    };
                    evidence?: {
                        maxAgeNumBlocks?: string | number | import("long").Long;
                        maxAgeDuration?: {
                            seconds?: string | number | import("long").Long;
                            nanos?: number;
                        };
                        maxBytes?: string | number | import("long").Long;
                    };
                    validator?: {
                        pubKeyTypes?: string[];
                    };
                    version?: {
                        app?: string | number | import("long").Long;
                    };
                    abci?: {
                        voteExtensionsEnableHeight?: string | number | import("long").Long;
                    };
                };
                validators?: {
                    pubKey?: {
                        ed25519?: Uint8Array;
                        secp256k1?: Uint8Array;
                    };
                    power?: string | number | import("long").Long;
                }[];
                appStateBytes?: Uint8Array;
                initialHeight?: string | number | import("long").Long;
            }): _92.RequestInitChain;
            fromAmino(object: _92.RequestInitChainAmino): _92.RequestInitChain;
            toAmino(message: _92.RequestInitChain): _92.RequestInitChainAmino;
            fromAminoMsg(object: _92.RequestInitChainAminoMsg): _92.RequestInitChain;
            fromProtoMsg(message: _92.RequestInitChainProtoMsg): _92.RequestInitChain;
            toProto(message: _92.RequestInitChain): Uint8Array;
            toProtoMsg(message: _92.RequestInitChain): _92.RequestInitChainProtoMsg;
        };
        RequestQuery: {
            encode(message: _92.RequestQuery, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.RequestQuery;
            fromPartial(object: {
                data?: Uint8Array;
                path?: string;
                height?: string | number | import("long").Long;
                prove?: boolean;
            }): _92.RequestQuery;
            fromAmino(object: _92.RequestQueryAmino): _92.RequestQuery;
            toAmino(message: _92.RequestQuery): _92.RequestQueryAmino;
            fromAminoMsg(object: _92.RequestQueryAminoMsg): _92.RequestQuery;
            fromProtoMsg(message: _92.RequestQueryProtoMsg): _92.RequestQuery;
            toProto(message: _92.RequestQuery): Uint8Array;
            toProtoMsg(message: _92.RequestQuery): _92.RequestQueryProtoMsg;
        };
        RequestCheckTx: {
            encode(message: _92.RequestCheckTx, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.RequestCheckTx;
            fromPartial(object: {
                tx?: Uint8Array;
                type?: _92.CheckTxType;
            }): _92.RequestCheckTx;
            fromAmino(object: _92.RequestCheckTxAmino): _92.RequestCheckTx;
            toAmino(message: _92.RequestCheckTx): _92.RequestCheckTxAmino;
            fromAminoMsg(object: _92.RequestCheckTxAminoMsg): _92.RequestCheckTx;
            fromProtoMsg(message: _92.RequestCheckTxProtoMsg): _92.RequestCheckTx;
            toProto(message: _92.RequestCheckTx): Uint8Array;
            toProtoMsg(message: _92.RequestCheckTx): _92.RequestCheckTxProtoMsg;
        };
        RequestCommit: {
            encode(_: _92.RequestCommit, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.RequestCommit;
            fromPartial(_: {}): _92.RequestCommit;
            fromAmino(_: _92.RequestCommitAmino): _92.RequestCommit;
            toAmino(_: _92.RequestCommit): _92.RequestCommitAmino;
            fromAminoMsg(object: _92.RequestCommitAminoMsg): _92.RequestCommit;
            fromProtoMsg(message: _92.RequestCommitProtoMsg): _92.RequestCommit;
            toProto(message: _92.RequestCommit): Uint8Array;
            toProtoMsg(message: _92.RequestCommit): _92.RequestCommitProtoMsg;
        };
        RequestListSnapshots: {
            encode(_: _92.RequestListSnapshots, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.RequestListSnapshots;
            fromPartial(_: {}): _92.RequestListSnapshots;
            fromAmino(_: _92.RequestListSnapshotsAmino): _92.RequestListSnapshots;
            toAmino(_: _92.RequestListSnapshots): _92.RequestListSnapshotsAmino;
            fromAminoMsg(object: _92.RequestListSnapshotsAminoMsg): _92.RequestListSnapshots;
            fromProtoMsg(message: _92.RequestListSnapshotsProtoMsg): _92.RequestListSnapshots;
            toProto(message: _92.RequestListSnapshots): Uint8Array;
            toProtoMsg(message: _92.RequestListSnapshots): _92.RequestListSnapshotsProtoMsg;
        };
        RequestOfferSnapshot: {
            encode(message: _92.RequestOfferSnapshot, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.RequestOfferSnapshot;
            fromPartial(object: {
                snapshot?: {
                    height?: string | number | import("long").Long;
                    format?: number;
                    chunks?: number;
                    hash?: Uint8Array;
                    metadata?: Uint8Array;
                };
                appHash?: Uint8Array;
            }): _92.RequestOfferSnapshot;
            fromAmino(object: _92.RequestOfferSnapshotAmino): _92.RequestOfferSnapshot;
            toAmino(message: _92.RequestOfferSnapshot): _92.RequestOfferSnapshotAmino;
            fromAminoMsg(object: _92.RequestOfferSnapshotAminoMsg): _92.RequestOfferSnapshot;
            fromProtoMsg(message: _92.RequestOfferSnapshotProtoMsg): _92.RequestOfferSnapshot;
            toProto(message: _92.RequestOfferSnapshot): Uint8Array;
            toProtoMsg(message: _92.RequestOfferSnapshot): _92.RequestOfferSnapshotProtoMsg;
        };
        RequestLoadSnapshotChunk: {
            encode(message: _92.RequestLoadSnapshotChunk, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.RequestLoadSnapshotChunk;
            fromPartial(object: {
                height?: string | number | import("long").Long;
                format?: number;
                chunk?: number;
            }): _92.RequestLoadSnapshotChunk;
            fromAmino(object: _92.RequestLoadSnapshotChunkAmino): _92.RequestLoadSnapshotChunk;
            toAmino(message: _92.RequestLoadSnapshotChunk): _92.RequestLoadSnapshotChunkAmino;
            fromAminoMsg(object: _92.RequestLoadSnapshotChunkAminoMsg): _92.RequestLoadSnapshotChunk;
            fromProtoMsg(message: _92.RequestLoadSnapshotChunkProtoMsg): _92.RequestLoadSnapshotChunk;
            toProto(message: _92.RequestLoadSnapshotChunk): Uint8Array;
            toProtoMsg(message: _92.RequestLoadSnapshotChunk): _92.RequestLoadSnapshotChunkProtoMsg;
        };
        RequestApplySnapshotChunk: {
            encode(message: _92.RequestApplySnapshotChunk, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.RequestApplySnapshotChunk;
            fromPartial(object: {
                index?: number;
                chunk?: Uint8Array;
                sender?: string;
            }): _92.RequestApplySnapshotChunk;
            fromAmino(object: _92.RequestApplySnapshotChunkAmino): _92.RequestApplySnapshotChunk;
            toAmino(message: _92.RequestApplySnapshotChunk): _92.RequestApplySnapshotChunkAmino;
            fromAminoMsg(object: _92.RequestApplySnapshotChunkAminoMsg): _92.RequestApplySnapshotChunk;
            fromProtoMsg(message: _92.RequestApplySnapshotChunkProtoMsg): _92.RequestApplySnapshotChunk;
            toProto(message: _92.RequestApplySnapshotChunk): Uint8Array;
            toProtoMsg(message: _92.RequestApplySnapshotChunk): _92.RequestApplySnapshotChunkProtoMsg;
        };
        RequestPrepareProposal: {
            encode(message: _92.RequestPrepareProposal, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.RequestPrepareProposal;
            fromPartial(object: {
                maxTxBytes?: string | number | import("long").Long;
                txs?: Uint8Array[];
                localLastCommit?: {
                    round?: number;
                    votes?: {
                        validator?: {
                            address?: Uint8Array;
                            power?: string | number | import("long").Long;
                        };
                        voteExtension?: Uint8Array;
                        extensionSignature?: Uint8Array;
                        blockIdFlag?: _101.BlockIDFlag;
                    }[];
                };
                misbehavior?: {
                    type?: _92.MisbehaviorType;
                    validator?: {
                        address?: Uint8Array;
                        power?: string | number | import("long").Long;
                    };
                    height?: string | number | import("long").Long;
                    time?: Date;
                    totalVotingPower?: string | number | import("long").Long;
                }[];
                height?: string | number | import("long").Long;
                time?: Date;
                nextValidatorsHash?: Uint8Array;
                proposerAddress?: Uint8Array;
            }): _92.RequestPrepareProposal;
            fromAmino(object: _92.RequestPrepareProposalAmino): _92.RequestPrepareProposal;
            toAmino(message: _92.RequestPrepareProposal): _92.RequestPrepareProposalAmino;
            fromAminoMsg(object: _92.RequestPrepareProposalAminoMsg): _92.RequestPrepareProposal;
            fromProtoMsg(message: _92.RequestPrepareProposalProtoMsg): _92.RequestPrepareProposal;
            toProto(message: _92.RequestPrepareProposal): Uint8Array;
            toProtoMsg(message: _92.RequestPrepareProposal): _92.RequestPrepareProposalProtoMsg;
        };
        RequestProcessProposal: {
            encode(message: _92.RequestProcessProposal, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.RequestProcessProposal;
            fromPartial(object: {
                txs?: Uint8Array[];
                proposedLastCommit?: {
                    round?: number;
                    votes?: {
                        validator?: {
                            address?: Uint8Array;
                            power?: string | number | import("long").Long;
                        };
                        blockIdFlag?: _101.BlockIDFlag;
                    }[];
                };
                misbehavior?: {
                    type?: _92.MisbehaviorType;
                    validator?: {
                        address?: Uint8Array;
                        power?: string | number | import("long").Long;
                    };
                    height?: string | number | import("long").Long;
                    time?: Date;
                    totalVotingPower?: string | number | import("long").Long;
                }[];
                hash?: Uint8Array;
                height?: string | number | import("long").Long;
                time?: Date;
                nextValidatorsHash?: Uint8Array;
                proposerAddress?: Uint8Array;
            }): _92.RequestProcessProposal;
            fromAmino(object: _92.RequestProcessProposalAmino): _92.RequestProcessProposal;
            toAmino(message: _92.RequestProcessProposal): _92.RequestProcessProposalAmino;
            fromAminoMsg(object: _92.RequestProcessProposalAminoMsg): _92.RequestProcessProposal;
            fromProtoMsg(message: _92.RequestProcessProposalProtoMsg): _92.RequestProcessProposal;
            toProto(message: _92.RequestProcessProposal): Uint8Array;
            toProtoMsg(message: _92.RequestProcessProposal): _92.RequestProcessProposalProtoMsg;
        };
        RequestExtendVote: {
            encode(message: _92.RequestExtendVote, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.RequestExtendVote;
            fromPartial(object: {
                hash?: Uint8Array;
                height?: string | number | import("long").Long;
            }): _92.RequestExtendVote;
            fromAmino(object: _92.RequestExtendVoteAmino): _92.RequestExtendVote;
            toAmino(message: _92.RequestExtendVote): _92.RequestExtendVoteAmino;
            fromAminoMsg(object: _92.RequestExtendVoteAminoMsg): _92.RequestExtendVote;
            fromProtoMsg(message: _92.RequestExtendVoteProtoMsg): _92.RequestExtendVote;
            toProto(message: _92.RequestExtendVote): Uint8Array;
            toProtoMsg(message: _92.RequestExtendVote): _92.RequestExtendVoteProtoMsg;
        };
        RequestVerifyVoteExtension: {
            encode(message: _92.RequestVerifyVoteExtension, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.RequestVerifyVoteExtension;
            fromPartial(object: {
                hash?: Uint8Array;
                validatorAddress?: Uint8Array;
                height?: string | number | import("long").Long;
                voteExtension?: Uint8Array;
            }): _92.RequestVerifyVoteExtension;
            fromAmino(object: _92.RequestVerifyVoteExtensionAmino): _92.RequestVerifyVoteExtension;
            toAmino(message: _92.RequestVerifyVoteExtension): _92.RequestVerifyVoteExtensionAmino;
            fromAminoMsg(object: _92.RequestVerifyVoteExtensionAminoMsg): _92.RequestVerifyVoteExtension;
            fromProtoMsg(message: _92.RequestVerifyVoteExtensionProtoMsg): _92.RequestVerifyVoteExtension;
            toProto(message: _92.RequestVerifyVoteExtension): Uint8Array;
            toProtoMsg(message: _92.RequestVerifyVoteExtension): _92.RequestVerifyVoteExtensionProtoMsg;
        };
        RequestFinalizeBlock: {
            encode(message: _92.RequestFinalizeBlock, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.RequestFinalizeBlock;
            fromPartial(object: {
                txs?: Uint8Array[];
                decidedLastCommit?: {
                    round?: number;
                    votes?: {
                        validator?: {
                            address?: Uint8Array;
                            power?: string | number | import("long").Long;
                        };
                        blockIdFlag?: _101.BlockIDFlag;
                    }[];
                };
                misbehavior?: {
                    type?: _92.MisbehaviorType;
                    validator?: {
                        address?: Uint8Array;
                        power?: string | number | import("long").Long;
                    };
                    height?: string | number | import("long").Long;
                    time?: Date;
                    totalVotingPower?: string | number | import("long").Long;
                }[];
                hash?: Uint8Array;
                height?: string | number | import("long").Long;
                time?: Date;
                nextValidatorsHash?: Uint8Array;
                proposerAddress?: Uint8Array;
            }): _92.RequestFinalizeBlock;
            fromAmino(object: _92.RequestFinalizeBlockAmino): _92.RequestFinalizeBlock;
            toAmino(message: _92.RequestFinalizeBlock): _92.RequestFinalizeBlockAmino;
            fromAminoMsg(object: _92.RequestFinalizeBlockAminoMsg): _92.RequestFinalizeBlock;
            fromProtoMsg(message: _92.RequestFinalizeBlockProtoMsg): _92.RequestFinalizeBlock;
            toProto(message: _92.RequestFinalizeBlock): Uint8Array;
            toProtoMsg(message: _92.RequestFinalizeBlock): _92.RequestFinalizeBlockProtoMsg;
        };
        Response: {
            encode(message: _92.Response, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.Response;
            fromPartial(object: {
                exception?: {
                    error?: string;
                };
                echo?: {
                    message?: string;
                };
                flush?: {};
                info?: {
                    data?: string;
                    version?: string;
                    appVersion?: string | number | import("long").Long;
                    lastBlockHeight?: string | number | import("long").Long;
                    lastBlockAppHash?: Uint8Array;
                };
                initChain?: {
                    consensusParams?: {
                        block?: {
                            maxBytes?: string | number | import("long").Long;
                            maxGas?: string | number | import("long").Long;
                        };
                        evidence?: {
                            maxAgeNumBlocks?: string | number | import("long").Long;
                            maxAgeDuration?: {
                                seconds?: string | number | import("long").Long;
                                nanos?: number;
                            };
                            maxBytes?: string | number | import("long").Long;
                        };
                        validator?: {
                            pubKeyTypes?: string[];
                        };
                        version?: {
                            app?: string | number | import("long").Long;
                        };
                        abci?: {
                            voteExtensionsEnableHeight?: string | number | import("long").Long;
                        };
                    };
                    validators?: {
                        pubKey?: {
                            ed25519?: Uint8Array;
                            secp256k1?: Uint8Array;
                        };
                        power?: string | number | import("long").Long;
                    }[];
                    appHash?: Uint8Array;
                };
                query?: {
                    code?: number;
                    log?: string;
                    info?: string;
                    index?: string | number | import("long").Long;
                    key?: Uint8Array;
                    value?: Uint8Array;
                    proofOps?: {
                        ops?: {
                            type?: string;
                            key?: Uint8Array;
                            data?: Uint8Array;
                        }[];
                    };
                    height?: string | number | import("long").Long;
                    codespace?: string;
                };
                checkTx?: {
                    code?: number;
                    data?: Uint8Array;
                    log?: string;
                    info?: string;
                    gasWanted?: string | number | import("long").Long;
                    gasUsed?: string | number | import("long").Long;
                    events?: {
                        type?: string;
                        attributes?: {
                            key?: string;
                            value?: string;
                            index?: boolean;
                        }[];
                    }[];
                    codespace?: string;
                };
                commit?: {
                    retainHeight?: string | number | import("long").Long;
                };
                listSnapshots?: {
                    snapshots?: {
                        height?: string | number | import("long").Long;
                        format?: number;
                        chunks?: number;
                        hash?: Uint8Array;
                        metadata?: Uint8Array;
                    }[];
                };
                offerSnapshot?: {
                    result?: _92.ResponseOfferSnapshot_Result;
                };
                loadSnapshotChunk?: {
                    chunk?: Uint8Array;
                };
                applySnapshotChunk?: {
                    result?: _92.ResponseApplySnapshotChunk_Result;
                    refetchChunks?: number[];
                    rejectSenders?: string[];
                };
                prepareProposal?: {
                    txs?: Uint8Array[];
                };
                processProposal?: {
                    status?: _92.ResponseProcessProposal_ProposalStatus;
                };
                extendVote?: {
                    voteExtension?: Uint8Array;
                };
                verifyVoteExtension?: {
                    status?: _92.ResponseVerifyVoteExtension_VerifyStatus;
                };
                finalizeBlock?: {
                    events?: {
                        type?: string;
                        attributes?: {
                            key?: string;
                            value?: string;
                            index?: boolean;
                        }[];
                    }[];
                    txResults?: {
                        code?: number;
                        data?: Uint8Array;
                        log?: string;
                        info?: string;
                        gasWanted?: string | number | import("long").Long;
                        gasUsed?: string | number | import("long").Long;
                        events?: {
                            type?: string;
                            attributes?: {
                                key?: string;
                                value?: string;
                                index?: boolean;
                            }[];
                        }[];
                        codespace?: string;
                    }[];
                    validatorUpdates?: {
                        pubKey?: {
                            ed25519?: Uint8Array;
                            secp256k1?: Uint8Array;
                        };
                        power?: string | number | import("long").Long;
                    }[];
                    consensusParamUpdates?: {
                        block?: {
                            maxBytes?: string | number | import("long").Long;
                            maxGas?: string | number | import("long").Long;
                        };
                        evidence?: {
                            maxAgeNumBlocks?: string | number | import("long").Long;
                            maxAgeDuration?: {
                                seconds?: string | number | import("long").Long;
                                nanos?: number;
                            };
                            maxBytes?: string | number | import("long").Long;
                        };
                        validator?: {
                            pubKeyTypes?: string[];
                        };
                        version?: {
                            app?: string | number | import("long").Long;
                        };
                        abci?: {
                            voteExtensionsEnableHeight?: string | number | import("long").Long;
                        };
                    };
                    appHash?: Uint8Array;
                };
            }): _92.Response;
            fromAmino(object: _92.ResponseAmino): _92.Response;
            toAmino(message: _92.Response): _92.ResponseAmino;
            fromAminoMsg(object: _92.ResponseAminoMsg): _92.Response;
            fromProtoMsg(message: _92.ResponseProtoMsg): _92.Response;
            toProto(message: _92.Response): Uint8Array;
            toProtoMsg(message: _92.Response): _92.ResponseProtoMsg;
        };
        ResponseException: {
            encode(message: _92.ResponseException, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.ResponseException;
            fromPartial(object: {
                error?: string;
            }): _92.ResponseException;
            fromAmino(object: _92.ResponseExceptionAmino): _92.ResponseException;
            toAmino(message: _92.ResponseException): _92.ResponseExceptionAmino;
            fromAminoMsg(object: _92.ResponseExceptionAminoMsg): _92.ResponseException;
            fromProtoMsg(message: _92.ResponseExceptionProtoMsg): _92.ResponseException;
            toProto(message: _92.ResponseException): Uint8Array;
            toProtoMsg(message: _92.ResponseException): _92.ResponseExceptionProtoMsg;
        };
        ResponseEcho: {
            encode(message: _92.ResponseEcho, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.ResponseEcho;
            fromPartial(object: {
                message?: string;
            }): _92.ResponseEcho;
            fromAmino(object: _92.ResponseEchoAmino): _92.ResponseEcho;
            toAmino(message: _92.ResponseEcho): _92.ResponseEchoAmino;
            fromAminoMsg(object: _92.ResponseEchoAminoMsg): _92.ResponseEcho;
            fromProtoMsg(message: _92.ResponseEchoProtoMsg): _92.ResponseEcho;
            toProto(message: _92.ResponseEcho): Uint8Array;
            toProtoMsg(message: _92.ResponseEcho): _92.ResponseEchoProtoMsg;
        };
        ResponseFlush: {
            encode(_: _92.ResponseFlush, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.ResponseFlush;
            fromPartial(_: {}): _92.ResponseFlush;
            fromAmino(_: _92.ResponseFlushAmino): _92.ResponseFlush;
            toAmino(_: _92.ResponseFlush): _92.ResponseFlushAmino;
            fromAminoMsg(object: _92.ResponseFlushAminoMsg): _92.ResponseFlush;
            fromProtoMsg(message: _92.ResponseFlushProtoMsg): _92.ResponseFlush;
            toProto(message: _92.ResponseFlush): Uint8Array;
            toProtoMsg(message: _92.ResponseFlush): _92.ResponseFlushProtoMsg;
        };
        ResponseInfo: {
            encode(message: _92.ResponseInfo, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.ResponseInfo;
            fromPartial(object: {
                data?: string;
                version?: string;
                appVersion?: string | number | import("long").Long;
                lastBlockHeight?: string | number | import("long").Long;
                lastBlockAppHash?: Uint8Array;
            }): _92.ResponseInfo;
            fromAmino(object: _92.ResponseInfoAmino): _92.ResponseInfo;
            toAmino(message: _92.ResponseInfo): _92.ResponseInfoAmino;
            fromAminoMsg(object: _92.ResponseInfoAminoMsg): _92.ResponseInfo;
            fromProtoMsg(message: _92.ResponseInfoProtoMsg): _92.ResponseInfo;
            toProto(message: _92.ResponseInfo): Uint8Array;
            toProtoMsg(message: _92.ResponseInfo): _92.ResponseInfoProtoMsg;
        };
        ResponseInitChain: {
            encode(message: _92.ResponseInitChain, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.ResponseInitChain;
            fromPartial(object: {
                consensusParams?: {
                    block?: {
                        maxBytes?: string | number | import("long").Long;
                        maxGas?: string | number | import("long").Long;
                    };
                    evidence?: {
                        maxAgeNumBlocks?: string | number | import("long").Long;
                        maxAgeDuration?: {
                            seconds?: string | number | import("long").Long;
                            nanos?: number;
                        };
                        maxBytes?: string | number | import("long").Long;
                    };
                    validator?: {
                        pubKeyTypes?: string[];
                    };
                    version?: {
                        app?: string | number | import("long").Long;
                    };
                    abci?: {
                        voteExtensionsEnableHeight?: string | number | import("long").Long;
                    };
                };
                validators?: {
                    pubKey?: {
                        ed25519?: Uint8Array;
                        secp256k1?: Uint8Array;
                    };
                    power?: string | number | import("long").Long;
                }[];
                appHash?: Uint8Array;
            }): _92.ResponseInitChain;
            fromAmino(object: _92.ResponseInitChainAmino): _92.ResponseInitChain;
            toAmino(message: _92.ResponseInitChain): _92.ResponseInitChainAmino;
            fromAminoMsg(object: _92.ResponseInitChainAminoMsg): _92.ResponseInitChain;
            fromProtoMsg(message: _92.ResponseInitChainProtoMsg): _92.ResponseInitChain;
            toProto(message: _92.ResponseInitChain): Uint8Array;
            toProtoMsg(message: _92.ResponseInitChain): _92.ResponseInitChainProtoMsg;
        };
        ResponseQuery: {
            encode(message: _92.ResponseQuery, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.ResponseQuery;
            fromPartial(object: {
                code?: number;
                log?: string;
                info?: string;
                index?: string | number | import("long").Long;
                key?: Uint8Array;
                value?: Uint8Array;
                proofOps?: {
                    ops?: {
                        type?: string;
                        key?: Uint8Array;
                        data?: Uint8Array;
                    }[];
                };
                height?: string | number | import("long").Long;
                codespace?: string;
            }): _92.ResponseQuery;
            fromAmino(object: _92.ResponseQueryAmino): _92.ResponseQuery;
            toAmino(message: _92.ResponseQuery): _92.ResponseQueryAmino;
            fromAminoMsg(object: _92.ResponseQueryAminoMsg): _92.ResponseQuery;
            fromProtoMsg(message: _92.ResponseQueryProtoMsg): _92.ResponseQuery;
            toProto(message: _92.ResponseQuery): Uint8Array;
            toProtoMsg(message: _92.ResponseQuery): _92.ResponseQueryProtoMsg;
        };
        ResponseCheckTx: {
            encode(message: _92.ResponseCheckTx, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.ResponseCheckTx;
            fromPartial(object: {
                code?: number;
                data?: Uint8Array;
                log?: string;
                info?: string;
                gasWanted?: string | number | import("long").Long;
                gasUsed?: string | number | import("long").Long;
                events?: {
                    type?: string;
                    attributes?: {
                        key?: string;
                        value?: string;
                        index?: boolean;
                    }[];
                }[];
                codespace?: string;
            }): _92.ResponseCheckTx;
            fromAmino(object: _92.ResponseCheckTxAmino): _92.ResponseCheckTx;
            toAmino(message: _92.ResponseCheckTx): _92.ResponseCheckTxAmino;
            fromAminoMsg(object: _92.ResponseCheckTxAminoMsg): _92.ResponseCheckTx;
            fromProtoMsg(message: _92.ResponseCheckTxProtoMsg): _92.ResponseCheckTx;
            toProto(message: _92.ResponseCheckTx): Uint8Array;
            toProtoMsg(message: _92.ResponseCheckTx): _92.ResponseCheckTxProtoMsg;
        };
        ResponseCommit: {
            encode(message: _92.ResponseCommit, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.ResponseCommit;
            fromPartial(object: {
                retainHeight?: string | number | import("long").Long;
            }): _92.ResponseCommit;
            fromAmino(object: _92.ResponseCommitAmino): _92.ResponseCommit;
            toAmino(message: _92.ResponseCommit): _92.ResponseCommitAmino;
            fromAminoMsg(object: _92.ResponseCommitAminoMsg): _92.ResponseCommit;
            fromProtoMsg(message: _92.ResponseCommitProtoMsg): _92.ResponseCommit;
            toProto(message: _92.ResponseCommit): Uint8Array;
            toProtoMsg(message: _92.ResponseCommit): _92.ResponseCommitProtoMsg;
        };
        ResponseListSnapshots: {
            encode(message: _92.ResponseListSnapshots, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.ResponseListSnapshots;
            fromPartial(object: {
                snapshots?: {
                    height?: string | number | import("long").Long;
                    format?: number;
                    chunks?: number;
                    hash?: Uint8Array;
                    metadata?: Uint8Array;
                }[];
            }): _92.ResponseListSnapshots;
            fromAmino(object: _92.ResponseListSnapshotsAmino): _92.ResponseListSnapshots;
            toAmino(message: _92.ResponseListSnapshots): _92.ResponseListSnapshotsAmino;
            fromAminoMsg(object: _92.ResponseListSnapshotsAminoMsg): _92.ResponseListSnapshots;
            fromProtoMsg(message: _92.ResponseListSnapshotsProtoMsg): _92.ResponseListSnapshots;
            toProto(message: _92.ResponseListSnapshots): Uint8Array;
            toProtoMsg(message: _92.ResponseListSnapshots): _92.ResponseListSnapshotsProtoMsg;
        };
        ResponseOfferSnapshot: {
            encode(message: _92.ResponseOfferSnapshot, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.ResponseOfferSnapshot;
            fromPartial(object: {
                result?: _92.ResponseOfferSnapshot_Result;
            }): _92.ResponseOfferSnapshot;
            fromAmino(object: _92.ResponseOfferSnapshotAmino): _92.ResponseOfferSnapshot;
            toAmino(message: _92.ResponseOfferSnapshot): _92.ResponseOfferSnapshotAmino;
            fromAminoMsg(object: _92.ResponseOfferSnapshotAminoMsg): _92.ResponseOfferSnapshot;
            fromProtoMsg(message: _92.ResponseOfferSnapshotProtoMsg): _92.ResponseOfferSnapshot;
            toProto(message: _92.ResponseOfferSnapshot): Uint8Array;
            toProtoMsg(message: _92.ResponseOfferSnapshot): _92.ResponseOfferSnapshotProtoMsg;
        };
        ResponseLoadSnapshotChunk: {
            encode(message: _92.ResponseLoadSnapshotChunk, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.ResponseLoadSnapshotChunk;
            fromPartial(object: {
                chunk?: Uint8Array;
            }): _92.ResponseLoadSnapshotChunk;
            fromAmino(object: _92.ResponseLoadSnapshotChunkAmino): _92.ResponseLoadSnapshotChunk;
            toAmino(message: _92.ResponseLoadSnapshotChunk): _92.ResponseLoadSnapshotChunkAmino;
            fromAminoMsg(object: _92.ResponseLoadSnapshotChunkAminoMsg): _92.ResponseLoadSnapshotChunk;
            fromProtoMsg(message: _92.ResponseLoadSnapshotChunkProtoMsg): _92.ResponseLoadSnapshotChunk;
            toProto(message: _92.ResponseLoadSnapshotChunk): Uint8Array;
            toProtoMsg(message: _92.ResponseLoadSnapshotChunk): _92.ResponseLoadSnapshotChunkProtoMsg;
        };
        ResponseApplySnapshotChunk: {
            encode(message: _92.ResponseApplySnapshotChunk, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.ResponseApplySnapshotChunk;
            fromPartial(object: {
                result?: _92.ResponseApplySnapshotChunk_Result;
                refetchChunks?: number[];
                rejectSenders?: string[];
            }): _92.ResponseApplySnapshotChunk;
            fromAmino(object: _92.ResponseApplySnapshotChunkAmino): _92.ResponseApplySnapshotChunk;
            toAmino(message: _92.ResponseApplySnapshotChunk): _92.ResponseApplySnapshotChunkAmino;
            fromAminoMsg(object: _92.ResponseApplySnapshotChunkAminoMsg): _92.ResponseApplySnapshotChunk;
            fromProtoMsg(message: _92.ResponseApplySnapshotChunkProtoMsg): _92.ResponseApplySnapshotChunk;
            toProto(message: _92.ResponseApplySnapshotChunk): Uint8Array;
            toProtoMsg(message: _92.ResponseApplySnapshotChunk): _92.ResponseApplySnapshotChunkProtoMsg;
        };
        ResponsePrepareProposal: {
            encode(message: _92.ResponsePrepareProposal, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.ResponsePrepareProposal;
            fromPartial(object: {
                txs?: Uint8Array[];
            }): _92.ResponsePrepareProposal;
            fromAmino(object: _92.ResponsePrepareProposalAmino): _92.ResponsePrepareProposal;
            toAmino(message: _92.ResponsePrepareProposal): _92.ResponsePrepareProposalAmino;
            fromAminoMsg(object: _92.ResponsePrepareProposalAminoMsg): _92.ResponsePrepareProposal;
            fromProtoMsg(message: _92.ResponsePrepareProposalProtoMsg): _92.ResponsePrepareProposal;
            toProto(message: _92.ResponsePrepareProposal): Uint8Array;
            toProtoMsg(message: _92.ResponsePrepareProposal): _92.ResponsePrepareProposalProtoMsg;
        };
        ResponseProcessProposal: {
            encode(message: _92.ResponseProcessProposal, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.ResponseProcessProposal;
            fromPartial(object: {
                status?: _92.ResponseProcessProposal_ProposalStatus;
            }): _92.ResponseProcessProposal;
            fromAmino(object: _92.ResponseProcessProposalAmino): _92.ResponseProcessProposal;
            toAmino(message: _92.ResponseProcessProposal): _92.ResponseProcessProposalAmino;
            fromAminoMsg(object: _92.ResponseProcessProposalAminoMsg): _92.ResponseProcessProposal;
            fromProtoMsg(message: _92.ResponseProcessProposalProtoMsg): _92.ResponseProcessProposal;
            toProto(message: _92.ResponseProcessProposal): Uint8Array;
            toProtoMsg(message: _92.ResponseProcessProposal): _92.ResponseProcessProposalProtoMsg;
        };
        ResponseExtendVote: {
            encode(message: _92.ResponseExtendVote, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.ResponseExtendVote;
            fromPartial(object: {
                voteExtension?: Uint8Array;
            }): _92.ResponseExtendVote;
            fromAmino(object: _92.ResponseExtendVoteAmino): _92.ResponseExtendVote;
            toAmino(message: _92.ResponseExtendVote): _92.ResponseExtendVoteAmino;
            fromAminoMsg(object: _92.ResponseExtendVoteAminoMsg): _92.ResponseExtendVote;
            fromProtoMsg(message: _92.ResponseExtendVoteProtoMsg): _92.ResponseExtendVote;
            toProto(message: _92.ResponseExtendVote): Uint8Array;
            toProtoMsg(message: _92.ResponseExtendVote): _92.ResponseExtendVoteProtoMsg;
        };
        ResponseVerifyVoteExtension: {
            encode(message: _92.ResponseVerifyVoteExtension, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.ResponseVerifyVoteExtension;
            fromPartial(object: {
                status?: _92.ResponseVerifyVoteExtension_VerifyStatus;
            }): _92.ResponseVerifyVoteExtension;
            fromAmino(object: _92.ResponseVerifyVoteExtensionAmino): _92.ResponseVerifyVoteExtension;
            toAmino(message: _92.ResponseVerifyVoteExtension): _92.ResponseVerifyVoteExtensionAmino;
            fromAminoMsg(object: _92.ResponseVerifyVoteExtensionAminoMsg): _92.ResponseVerifyVoteExtension;
            fromProtoMsg(message: _92.ResponseVerifyVoteExtensionProtoMsg): _92.ResponseVerifyVoteExtension;
            toProto(message: _92.ResponseVerifyVoteExtension): Uint8Array;
            toProtoMsg(message: _92.ResponseVerifyVoteExtension): _92.ResponseVerifyVoteExtensionProtoMsg;
        };
        ResponseFinalizeBlock: {
            encode(message: _92.ResponseFinalizeBlock, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.ResponseFinalizeBlock;
            fromPartial(object: {
                events?: {
                    type?: string;
                    attributes?: {
                        key?: string;
                        value?: string;
                        index?: boolean;
                    }[];
                }[];
                txResults?: {
                    code?: number;
                    data?: Uint8Array;
                    log?: string;
                    info?: string;
                    gasWanted?: string | number | import("long").Long;
                    gasUsed?: string | number | import("long").Long;
                    events?: {
                        type?: string;
                        attributes?: {
                            key?: string;
                            value?: string;
                            index?: boolean;
                        }[];
                    }[];
                    codespace?: string;
                }[];
                validatorUpdates?: {
                    pubKey?: {
                        ed25519?: Uint8Array;
                        secp256k1?: Uint8Array;
                    };
                    power?: string | number | import("long").Long;
                }[];
                consensusParamUpdates?: {
                    block?: {
                        maxBytes?: string | number | import("long").Long;
                        maxGas?: string | number | import("long").Long;
                    };
                    evidence?: {
                        maxAgeNumBlocks?: string | number | import("long").Long;
                        maxAgeDuration?: {
                            seconds?: string | number | import("long").Long;
                            nanos?: number;
                        };
                        maxBytes?: string | number | import("long").Long;
                    };
                    validator?: {
                        pubKeyTypes?: string[];
                    };
                    version?: {
                        app?: string | number | import("long").Long;
                    };
                    abci?: {
                        voteExtensionsEnableHeight?: string | number | import("long").Long;
                    };
                };
                appHash?: Uint8Array;
            }): _92.ResponseFinalizeBlock;
            fromAmino(object: _92.ResponseFinalizeBlockAmino): _92.ResponseFinalizeBlock;
            toAmino(message: _92.ResponseFinalizeBlock): _92.ResponseFinalizeBlockAmino;
            fromAminoMsg(object: _92.ResponseFinalizeBlockAminoMsg): _92.ResponseFinalizeBlock;
            fromProtoMsg(message: _92.ResponseFinalizeBlockProtoMsg): _92.ResponseFinalizeBlock;
            toProto(message: _92.ResponseFinalizeBlock): Uint8Array;
            toProtoMsg(message: _92.ResponseFinalizeBlock): _92.ResponseFinalizeBlockProtoMsg;
        };
        CommitInfo: {
            encode(message: _92.CommitInfo, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.CommitInfo;
            fromPartial(object: {
                round?: number;
                votes?: {
                    validator?: {
                        address?: Uint8Array;
                        power?: string | number | import("long").Long;
                    };
                    blockIdFlag?: _101.BlockIDFlag;
                }[];
            }): _92.CommitInfo;
            fromAmino(object: _92.CommitInfoAmino): _92.CommitInfo;
            toAmino(message: _92.CommitInfo): _92.CommitInfoAmino;
            fromAminoMsg(object: _92.CommitInfoAminoMsg): _92.CommitInfo;
            fromProtoMsg(message: _92.CommitInfoProtoMsg): _92.CommitInfo;
            toProto(message: _92.CommitInfo): Uint8Array;
            toProtoMsg(message: _92.CommitInfo): _92.CommitInfoProtoMsg;
        };
        ExtendedCommitInfo: {
            encode(message: _92.ExtendedCommitInfo, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.ExtendedCommitInfo;
            fromPartial(object: {
                round?: number;
                votes?: {
                    validator?: {
                        address?: Uint8Array;
                        power?: string | number | import("long").Long;
                    };
                    voteExtension?: Uint8Array;
                    extensionSignature?: Uint8Array;
                    blockIdFlag?: _101.BlockIDFlag;
                }[];
            }): _92.ExtendedCommitInfo;
            fromAmino(object: _92.ExtendedCommitInfoAmino): _92.ExtendedCommitInfo;
            toAmino(message: _92.ExtendedCommitInfo): _92.ExtendedCommitInfoAmino;
            fromAminoMsg(object: _92.ExtendedCommitInfoAminoMsg): _92.ExtendedCommitInfo;
            fromProtoMsg(message: _92.ExtendedCommitInfoProtoMsg): _92.ExtendedCommitInfo;
            toProto(message: _92.ExtendedCommitInfo): Uint8Array;
            toProtoMsg(message: _92.ExtendedCommitInfo): _92.ExtendedCommitInfoProtoMsg;
        };
        Event: {
            encode(message: _92.Event, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.Event;
            fromPartial(object: {
                type?: string;
                attributes?: {
                    key?: string;
                    value?: string;
                    index?: boolean;
                }[];
            }): _92.Event;
            fromAmino(object: _92.EventAmino): _92.Event;
            toAmino(message: _92.Event): _92.EventAmino;
            fromAminoMsg(object: _92.EventAminoMsg): _92.Event;
            fromProtoMsg(message: _92.EventProtoMsg): _92.Event;
            toProto(message: _92.Event): Uint8Array;
            toProtoMsg(message: _92.Event): _92.EventProtoMsg;
        };
        EventAttribute: {
            encode(message: _92.EventAttribute, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.EventAttribute;
            fromPartial(object: {
                key?: string;
                value?: string;
                index?: boolean;
            }): _92.EventAttribute;
            fromAmino(object: _92.EventAttributeAmino): _92.EventAttribute;
            toAmino(message: _92.EventAttribute): _92.EventAttributeAmino;
            fromAminoMsg(object: _92.EventAttributeAminoMsg): _92.EventAttribute;
            fromProtoMsg(message: _92.EventAttributeProtoMsg): _92.EventAttribute;
            toProto(message: _92.EventAttribute): Uint8Array;
            toProtoMsg(message: _92.EventAttribute): _92.EventAttributeProtoMsg;
        };
        ExecTxResult: {
            encode(message: _92.ExecTxResult, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.ExecTxResult;
            fromPartial(object: {
                code?: number;
                data?: Uint8Array;
                log?: string;
                info?: string;
                gasWanted?: string | number | import("long").Long;
                gasUsed?: string | number | import("long").Long;
                events?: {
                    type?: string;
                    attributes?: {
                        key?: string;
                        value?: string;
                        index?: boolean;
                    }[];
                }[];
                codespace?: string;
            }): _92.ExecTxResult;
            fromAmino(object: _92.ExecTxResultAmino): _92.ExecTxResult;
            toAmino(message: _92.ExecTxResult): _92.ExecTxResultAmino;
            fromAminoMsg(object: _92.ExecTxResultAminoMsg): _92.ExecTxResult;
            fromProtoMsg(message: _92.ExecTxResultProtoMsg): _92.ExecTxResult;
            toProto(message: _92.ExecTxResult): Uint8Array;
            toProtoMsg(message: _92.ExecTxResult): _92.ExecTxResultProtoMsg;
        };
        TxResult: {
            encode(message: _92.TxResult, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.TxResult;
            fromPartial(object: {
                height?: string | number | import("long").Long;
                index?: number;
                tx?: Uint8Array;
                result?: {
                    code?: number;
                    data?: Uint8Array;
                    log?: string;
                    info?: string;
                    gasWanted?: string | number | import("long").Long;
                    gasUsed?: string | number | import("long").Long;
                    events?: {
                        type?: string;
                        attributes?: {
                            key?: string;
                            value?: string;
                            index?: boolean;
                        }[];
                    }[];
                    codespace?: string;
                };
            }): _92.TxResult;
            fromAmino(object: _92.TxResultAmino): _92.TxResult;
            toAmino(message: _92.TxResult): _92.TxResultAmino;
            fromAminoMsg(object: _92.TxResultAminoMsg): _92.TxResult;
            fromProtoMsg(message: _92.TxResultProtoMsg): _92.TxResult;
            toProto(message: _92.TxResult): Uint8Array;
            toProtoMsg(message: _92.TxResult): _92.TxResultProtoMsg;
        };
        Validator: {
            encode(message: _92.Validator, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.Validator;
            fromPartial(object: {
                address?: Uint8Array;
                power?: string | number | import("long").Long;
            }): _92.Validator;
            fromAmino(object: _92.ValidatorAmino): _92.Validator;
            toAmino(message: _92.Validator): _92.ValidatorAmino;
            fromAminoMsg(object: _92.ValidatorAminoMsg): _92.Validator;
            fromProtoMsg(message: _92.ValidatorProtoMsg): _92.Validator;
            toProto(message: _92.Validator): Uint8Array;
            toProtoMsg(message: _92.Validator): _92.ValidatorProtoMsg;
        };
        ValidatorUpdate: {
            encode(message: _92.ValidatorUpdate, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.ValidatorUpdate;
            fromPartial(object: {
                pubKey?: {
                    ed25519?: Uint8Array;
                    secp256k1?: Uint8Array;
                };
                power?: string | number | import("long").Long;
            }): _92.ValidatorUpdate;
            fromAmino(object: _92.ValidatorUpdateAmino): _92.ValidatorUpdate;
            toAmino(message: _92.ValidatorUpdate): _92.ValidatorUpdateAmino;
            fromAminoMsg(object: _92.ValidatorUpdateAminoMsg): _92.ValidatorUpdate;
            fromProtoMsg(message: _92.ValidatorUpdateProtoMsg): _92.ValidatorUpdate;
            toProto(message: _92.ValidatorUpdate): Uint8Array;
            toProtoMsg(message: _92.ValidatorUpdate): _92.ValidatorUpdateProtoMsg;
        };
        VoteInfo: {
            encode(message: _92.VoteInfo, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.VoteInfo;
            fromPartial(object: {
                validator?: {
                    address?: Uint8Array;
                    power?: string | number | import("long").Long;
                };
                blockIdFlag?: _101.BlockIDFlag;
            }): _92.VoteInfo;
            fromAmino(object: _92.VoteInfoAmino): _92.VoteInfo;
            toAmino(message: _92.VoteInfo): _92.VoteInfoAmino;
            fromAminoMsg(object: _92.VoteInfoAminoMsg): _92.VoteInfo;
            fromProtoMsg(message: _92.VoteInfoProtoMsg): _92.VoteInfo;
            toProto(message: _92.VoteInfo): Uint8Array;
            toProtoMsg(message: _92.VoteInfo): _92.VoteInfoProtoMsg;
        };
        ExtendedVoteInfo: {
            encode(message: _92.ExtendedVoteInfo, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.ExtendedVoteInfo;
            fromPartial(object: {
                validator?: {
                    address?: Uint8Array;
                    power?: string | number | import("long").Long;
                };
                voteExtension?: Uint8Array;
                extensionSignature?: Uint8Array;
                blockIdFlag?: _101.BlockIDFlag;
            }): _92.ExtendedVoteInfo;
            fromAmino(object: _92.ExtendedVoteInfoAmino): _92.ExtendedVoteInfo;
            toAmino(message: _92.ExtendedVoteInfo): _92.ExtendedVoteInfoAmino;
            fromAminoMsg(object: _92.ExtendedVoteInfoAminoMsg): _92.ExtendedVoteInfo;
            fromProtoMsg(message: _92.ExtendedVoteInfoProtoMsg): _92.ExtendedVoteInfo;
            toProto(message: _92.ExtendedVoteInfo): Uint8Array;
            toProtoMsg(message: _92.ExtendedVoteInfo): _92.ExtendedVoteInfoProtoMsg;
        };
        Misbehavior: {
            encode(message: _92.Misbehavior, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.Misbehavior;
            fromPartial(object: {
                type?: _92.MisbehaviorType;
                validator?: {
                    address?: Uint8Array;
                    power?: string | number | import("long").Long;
                };
                height?: string | number | import("long").Long;
                time?: Date;
                totalVotingPower?: string | number | import("long").Long;
            }): _92.Misbehavior;
            fromAmino(object: _92.MisbehaviorAmino): _92.Misbehavior;
            toAmino(message: _92.Misbehavior): _92.MisbehaviorAmino;
            fromAminoMsg(object: _92.MisbehaviorAminoMsg): _92.Misbehavior;
            fromProtoMsg(message: _92.MisbehaviorProtoMsg): _92.Misbehavior;
            toProto(message: _92.Misbehavior): Uint8Array;
            toProtoMsg(message: _92.Misbehavior): _92.MisbehaviorProtoMsg;
        };
        Snapshot: {
            encode(message: _92.Snapshot, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _92.Snapshot;
            fromPartial(object: {
                height?: string | number | import("long").Long;
                format?: number;
                chunks?: number;
                hash?: Uint8Array;
                metadata?: Uint8Array;
            }): _92.Snapshot;
            fromAmino(object: _92.SnapshotAmino): _92.Snapshot;
            toAmino(message: _92.Snapshot): _92.SnapshotAmino;
            fromAminoMsg(object: _92.SnapshotAminoMsg): _92.Snapshot;
            fromProtoMsg(message: _92.SnapshotProtoMsg): _92.Snapshot;
            toProto(message: _92.Snapshot): Uint8Array;
            toProtoMsg(message: _92.Snapshot): _92.SnapshotProtoMsg;
        };
    };
    const crypto: {
        Proof: {
            encode(message: _94.Proof, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _94.Proof;
            fromPartial(object: {
                total?: string | number | import("long").Long;
                index?: string | number | import("long").Long;
                leafHash?: Uint8Array;
                aunts?: Uint8Array[];
            }): _94.Proof;
            fromAmino(object: _94.ProofAmino): _94.Proof;
            toAmino(message: _94.Proof): _94.ProofAmino;
            fromAminoMsg(object: _94.ProofAminoMsg): _94.Proof;
            fromProtoMsg(message: _94.ProofProtoMsg): _94.Proof;
            toProto(message: _94.Proof): Uint8Array;
            toProtoMsg(message: _94.Proof): _94.ProofProtoMsg;
        };
        ValueOp: {
            encode(message: _94.ValueOp, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _94.ValueOp;
            fromPartial(object: {
                key?: Uint8Array;
                proof?: {
                    total?: string | number | import("long").Long;
                    index?: string | number | import("long").Long;
                    leafHash?: Uint8Array;
                    aunts?: Uint8Array[];
                };
            }): _94.ValueOp;
            fromAmino(object: _94.ValueOpAmino): _94.ValueOp;
            toAmino(message: _94.ValueOp): _94.ValueOpAmino;
            fromAminoMsg(object: _94.ValueOpAminoMsg): _94.ValueOp;
            fromProtoMsg(message: _94.ValueOpProtoMsg): _94.ValueOp;
            toProto(message: _94.ValueOp): Uint8Array;
            toProtoMsg(message: _94.ValueOp): _94.ValueOpProtoMsg;
        };
        DominoOp: {
            encode(message: _94.DominoOp, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _94.DominoOp;
            fromPartial(object: {
                key?: string;
                input?: string;
                output?: string;
            }): _94.DominoOp;
            fromAmino(object: _94.DominoOpAmino): _94.DominoOp;
            toAmino(message: _94.DominoOp): _94.DominoOpAmino;
            fromAminoMsg(object: _94.DominoOpAminoMsg): _94.DominoOp;
            fromProtoMsg(message: _94.DominoOpProtoMsg): _94.DominoOp;
            toProto(message: _94.DominoOp): Uint8Array;
            toProtoMsg(message: _94.DominoOp): _94.DominoOpProtoMsg;
        };
        ProofOp: {
            encode(message: _94.ProofOp, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _94.ProofOp;
            fromPartial(object: {
                type?: string;
                key?: Uint8Array;
                data?: Uint8Array;
            }): _94.ProofOp;
            fromAmino(object: _94.ProofOpAmino): _94.ProofOp;
            toAmino(message: _94.ProofOp): _94.ProofOpAmino;
            fromAminoMsg(object: _94.ProofOpAminoMsg): _94.ProofOp;
            fromProtoMsg(message: _94.ProofOpProtoMsg): _94.ProofOp;
            toProto(message: _94.ProofOp): Uint8Array;
            toProtoMsg(message: _94.ProofOp): _94.ProofOpProtoMsg;
        };
        ProofOps: {
            encode(message: _94.ProofOps, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _94.ProofOps;
            fromPartial(object: {
                ops?: {
                    type?: string;
                    key?: Uint8Array;
                    data?: Uint8Array;
                }[];
            }): _94.ProofOps;
            fromAmino(object: _94.ProofOpsAmino): _94.ProofOps;
            toAmino(message: _94.ProofOps): _94.ProofOpsAmino;
            fromAminoMsg(object: _94.ProofOpsAminoMsg): _94.ProofOps;
            fromProtoMsg(message: _94.ProofOpsProtoMsg): _94.ProofOps;
            toProto(message: _94.ProofOps): Uint8Array;
            toProtoMsg(message: _94.ProofOps): _94.ProofOpsProtoMsg;
        };
        PublicKey: {
            encode(message: _93.PublicKey, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _93.PublicKey;
            fromPartial(object: {
                ed25519?: Uint8Array;
                secp256k1?: Uint8Array;
            }): _93.PublicKey;
            fromAmino(object: _93.PublicKeyAmino): _93.PublicKey;
            toAmino(message: _93.PublicKey): _93.PublicKeyAmino;
            fromAminoMsg(object: _93.PublicKeyAminoMsg): _93.PublicKey;
            fromProtoMsg(message: _93.PublicKeyProtoMsg): _93.PublicKey;
            toProto(message: _93.PublicKey): Uint8Array;
            toProtoMsg(message: _93.PublicKey): _93.PublicKeyProtoMsg;
        };
    };
    namespace libs {
        const bits: {
            BitArray: {
                encode(message: _95.BitArray, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
                decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _95.BitArray;
                fromPartial(object: {
                    bits?: string | number | import("long").Long;
                    elems?: (string | number | import("long").Long)[];
                }): _95.BitArray;
                fromAmino(object: _95.BitArrayAmino): _95.BitArray;
                toAmino(message: _95.BitArray): _95.BitArrayAmino;
                fromAminoMsg(object: _95.BitArrayAminoMsg): _95.BitArray;
                fromProtoMsg(message: _95.BitArrayProtoMsg): _95.BitArray;
                toProto(message: _95.BitArray): Uint8Array;
                toProtoMsg(message: _95.BitArray): _95.BitArrayProtoMsg;
            };
        };
    }
    const p2p: {
        NetAddress: {
            encode(message: _96.NetAddress, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _96.NetAddress;
            fromPartial(object: {
                id?: string;
                ip?: string;
                port?: number;
            }): _96.NetAddress;
            fromAmino(object: _96.NetAddressAmino): _96.NetAddress;
            toAmino(message: _96.NetAddress): _96.NetAddressAmino;
            fromAminoMsg(object: _96.NetAddressAminoMsg): _96.NetAddress;
            fromProtoMsg(message: _96.NetAddressProtoMsg): _96.NetAddress;
            toProto(message: _96.NetAddress): Uint8Array;
            toProtoMsg(message: _96.NetAddress): _96.NetAddressProtoMsg;
        };
        ProtocolVersion: {
            encode(message: _96.ProtocolVersion, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _96.ProtocolVersion;
            fromPartial(object: {
                p2p?: string | number | import("long").Long;
                block?: string | number | import("long").Long;
                app?: string | number | import("long").Long;
            }): _96.ProtocolVersion;
            fromAmino(object: _96.ProtocolVersionAmino): _96.ProtocolVersion;
            toAmino(message: _96.ProtocolVersion): _96.ProtocolVersionAmino;
            fromAminoMsg(object: _96.ProtocolVersionAminoMsg): _96.ProtocolVersion;
            fromProtoMsg(message: _96.ProtocolVersionProtoMsg): _96.ProtocolVersion;
            toProto(message: _96.ProtocolVersion): Uint8Array;
            toProtoMsg(message: _96.ProtocolVersion): _96.ProtocolVersionProtoMsg;
        };
        DefaultNodeInfo: {
            encode(message: _96.DefaultNodeInfo, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _96.DefaultNodeInfo;
            fromPartial(object: {
                protocolVersion?: {
                    p2p?: string | number | import("long").Long;
                    block?: string | number | import("long").Long;
                    app?: string | number | import("long").Long;
                };
                defaultNodeId?: string;
                listenAddr?: string;
                network?: string;
                version?: string;
                channels?: Uint8Array;
                moniker?: string;
                other?: {
                    txIndex?: string;
                    rpcAddress?: string;
                };
            }): _96.DefaultNodeInfo;
            fromAmino(object: _96.DefaultNodeInfoAmino): _96.DefaultNodeInfo;
            toAmino(message: _96.DefaultNodeInfo): _96.DefaultNodeInfoAmino;
            fromAminoMsg(object: _96.DefaultNodeInfoAminoMsg): _96.DefaultNodeInfo;
            fromProtoMsg(message: _96.DefaultNodeInfoProtoMsg): _96.DefaultNodeInfo;
            toProto(message: _96.DefaultNodeInfo): Uint8Array;
            toProtoMsg(message: _96.DefaultNodeInfo): _96.DefaultNodeInfoProtoMsg;
        };
        DefaultNodeInfoOther: {
            encode(message: _96.DefaultNodeInfoOther, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _96.DefaultNodeInfoOther;
            fromPartial(object: {
                txIndex?: string;
                rpcAddress?: string;
            }): _96.DefaultNodeInfoOther;
            fromAmino(object: _96.DefaultNodeInfoOtherAmino): _96.DefaultNodeInfoOther;
            toAmino(message: _96.DefaultNodeInfoOther): _96.DefaultNodeInfoOtherAmino;
            fromAminoMsg(object: _96.DefaultNodeInfoOtherAminoMsg): _96.DefaultNodeInfoOther;
            fromProtoMsg(message: _96.DefaultNodeInfoOtherProtoMsg): _96.DefaultNodeInfoOther;
            toProto(message: _96.DefaultNodeInfoOther): Uint8Array;
            toProtoMsg(message: _96.DefaultNodeInfoOther): _96.DefaultNodeInfoOtherProtoMsg;
        };
    };
    const types: {
        blockIDFlagFromJSON(object: any): _101.BlockIDFlag;
        blockIDFlagToJSON(object: _101.BlockIDFlag): string;
        BlockIDFlag: typeof _101.BlockIDFlag;
        BlockIDFlagSDKType: typeof _101.BlockIDFlag;
        BlockIDFlagAmino: typeof _101.BlockIDFlag;
        ValidatorSet: {
            encode(message: _101.ValidatorSet, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _101.ValidatorSet;
            fromPartial(object: {
                validators?: {
                    address?: Uint8Array;
                    pubKey?: {
                        ed25519?: Uint8Array;
                        secp256k1?: Uint8Array;
                    };
                    votingPower?: string | number | import("long").Long;
                    proposerPriority?: string | number | import("long").Long;
                }[];
                proposer?: {
                    address?: Uint8Array;
                    pubKey?: {
                        ed25519?: Uint8Array;
                        secp256k1?: Uint8Array;
                    };
                    votingPower?: string | number | import("long").Long;
                    proposerPriority?: string | number | import("long").Long;
                };
                totalVotingPower?: string | number | import("long").Long;
            }): _101.ValidatorSet;
            fromAmino(object: _101.ValidatorSetAmino): _101.ValidatorSet;
            toAmino(message: _101.ValidatorSet): _101.ValidatorSetAmino;
            fromAminoMsg(object: _101.ValidatorSetAminoMsg): _101.ValidatorSet;
            fromProtoMsg(message: _101.ValidatorSetProtoMsg): _101.ValidatorSet;
            toProto(message: _101.ValidatorSet): Uint8Array;
            toProtoMsg(message: _101.ValidatorSet): _101.ValidatorSetProtoMsg;
        };
        Validator: {
            encode(message: _101.Validator, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _101.Validator;
            fromPartial(object: {
                address?: Uint8Array;
                pubKey?: {
                    ed25519?: Uint8Array;
                    secp256k1?: Uint8Array;
                };
                votingPower?: string | number | import("long").Long;
                proposerPriority?: string | number | import("long").Long;
            }): _101.Validator;
            fromAmino(object: _101.ValidatorAmino): _101.Validator;
            toAmino(message: _101.Validator): _101.ValidatorAmino;
            fromAminoMsg(object: _101.ValidatorAminoMsg): _101.Validator;
            fromProtoMsg(message: _101.ValidatorProtoMsg): _101.Validator;
            toProto(message: _101.Validator): Uint8Array;
            toProtoMsg(message: _101.Validator): _101.ValidatorProtoMsg;
        };
        SimpleValidator: {
            encode(message: _101.SimpleValidator, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _101.SimpleValidator;
            fromPartial(object: {
                pubKey?: {
                    ed25519?: Uint8Array;
                    secp256k1?: Uint8Array;
                };
                votingPower?: string | number | import("long").Long;
            }): _101.SimpleValidator;
            fromAmino(object: _101.SimpleValidatorAmino): _101.SimpleValidator;
            toAmino(message: _101.SimpleValidator): _101.SimpleValidatorAmino;
            fromAminoMsg(object: _101.SimpleValidatorAminoMsg): _101.SimpleValidator;
            fromProtoMsg(message: _101.SimpleValidatorProtoMsg): _101.SimpleValidator;
            toProto(message: _101.SimpleValidator): Uint8Array;
            toProtoMsg(message: _101.SimpleValidator): _101.SimpleValidatorProtoMsg;
        };
        signedMsgTypeFromJSON(object: any): _100.SignedMsgType;
        signedMsgTypeToJSON(object: _100.SignedMsgType): string;
        SignedMsgType: typeof _100.SignedMsgType;
        SignedMsgTypeSDKType: typeof _100.SignedMsgType;
        SignedMsgTypeAmino: typeof _100.SignedMsgType;
        PartSetHeader: {
            encode(message: _100.PartSetHeader, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _100.PartSetHeader;
            fromPartial(object: {
                total?: number;
                hash?: Uint8Array;
            }): _100.PartSetHeader;
            fromAmino(object: _100.PartSetHeaderAmino): _100.PartSetHeader;
            toAmino(message: _100.PartSetHeader): _100.PartSetHeaderAmino;
            fromAminoMsg(object: _100.PartSetHeaderAminoMsg): _100.PartSetHeader;
            fromProtoMsg(message: _100.PartSetHeaderProtoMsg): _100.PartSetHeader;
            toProto(message: _100.PartSetHeader): Uint8Array;
            toProtoMsg(message: _100.PartSetHeader): _100.PartSetHeaderProtoMsg;
        };
        Part: {
            encode(message: _100.Part, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _100.Part;
            fromPartial(object: {
                index?: number;
                bytes?: Uint8Array;
                proof?: {
                    total?: string | number | import("long").Long;
                    index?: string | number | import("long").Long;
                    leafHash?: Uint8Array;
                    aunts?: Uint8Array[];
                };
            }): _100.Part;
            fromAmino(object: _100.PartAmino): _100.Part;
            toAmino(message: _100.Part): _100.PartAmino;
            fromAminoMsg(object: _100.PartAminoMsg): _100.Part;
            fromProtoMsg(message: _100.PartProtoMsg): _100.Part;
            toProto(message: _100.Part): Uint8Array;
            toProtoMsg(message: _100.Part): _100.PartProtoMsg;
        };
        BlockID: {
            encode(message: _100.BlockID, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _100.BlockID;
            fromPartial(object: {
                hash?: Uint8Array;
                partSetHeader?: {
                    total?: number;
                    hash?: Uint8Array;
                };
            }): _100.BlockID;
            fromAmino(object: _100.BlockIDAmino): _100.BlockID;
            toAmino(message: _100.BlockID): _100.BlockIDAmino;
            fromAminoMsg(object: _100.BlockIDAminoMsg): _100.BlockID;
            fromProtoMsg(message: _100.BlockIDProtoMsg): _100.BlockID;
            toProto(message: _100.BlockID): Uint8Array;
            toProtoMsg(message: _100.BlockID): _100.BlockIDProtoMsg;
        };
        Header: {
            encode(message: _100.Header, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _100.Header;
            fromPartial(object: {
                version?: {
                    block?: string | number | import("long").Long;
                    app?: string | number | import("long").Long;
                };
                chainId?: string;
                height?: string | number | import("long").Long;
                time?: Date;
                lastBlockId?: {
                    hash?: Uint8Array;
                    partSetHeader?: {
                        total?: number;
                        hash?: Uint8Array;
                    };
                };
                lastCommitHash?: Uint8Array;
                dataHash?: Uint8Array;
                validatorsHash?: Uint8Array;
                nextValidatorsHash?: Uint8Array;
                consensusHash?: Uint8Array;
                appHash?: Uint8Array;
                lastResultsHash?: Uint8Array;
                evidenceHash?: Uint8Array;
                proposerAddress?: Uint8Array;
            }): _100.Header;
            fromAmino(object: _100.HeaderAmino): _100.Header;
            toAmino(message: _100.Header): _100.HeaderAmino;
            fromAminoMsg(object: _100.HeaderAminoMsg): _100.Header;
            fromProtoMsg(message: _100.HeaderProtoMsg): _100.Header;
            toProto(message: _100.Header): Uint8Array;
            toProtoMsg(message: _100.Header): _100.HeaderProtoMsg;
        };
        Data: {
            encode(message: _100.Data, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _100.Data;
            fromPartial(object: {
                txs?: Uint8Array[];
            }): _100.Data;
            fromAmino(object: _100.DataAmino): _100.Data;
            toAmino(message: _100.Data): _100.DataAmino;
            fromAminoMsg(object: _100.DataAminoMsg): _100.Data;
            fromProtoMsg(message: _100.DataProtoMsg): _100.Data;
            toProto(message: _100.Data): Uint8Array;
            toProtoMsg(message: _100.Data): _100.DataProtoMsg;
        };
        Vote: {
            encode(message: _100.Vote, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _100.Vote;
            fromPartial(object: {
                type?: _100.SignedMsgType;
                height?: string | number | import("long").Long;
                round?: number;
                blockId?: {
                    hash?: Uint8Array;
                    partSetHeader?: {
                        total?: number;
                        hash?: Uint8Array;
                    };
                };
                timestamp?: Date;
                validatorAddress?: Uint8Array;
                validatorIndex?: number;
                signature?: Uint8Array;
                extension?: Uint8Array;
                extensionSignature?: Uint8Array;
            }): _100.Vote;
            fromAmino(object: _100.VoteAmino): _100.Vote;
            toAmino(message: _100.Vote): _100.VoteAmino;
            fromAminoMsg(object: _100.VoteAminoMsg): _100.Vote;
            fromProtoMsg(message: _100.VoteProtoMsg): _100.Vote;
            toProto(message: _100.Vote): Uint8Array;
            toProtoMsg(message: _100.Vote): _100.VoteProtoMsg;
        };
        Commit: {
            encode(message: _100.Commit, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _100.Commit;
            fromPartial(object: {
                height?: string | number | import("long").Long;
                round?: number;
                blockId?: {
                    hash?: Uint8Array;
                    partSetHeader?: {
                        total?: number;
                        hash?: Uint8Array;
                    };
                };
                signatures?: {
                    blockIdFlag?: _101.BlockIDFlag;
                    validatorAddress?: Uint8Array;
                    timestamp?: Date;
                    signature?: Uint8Array;
                }[];
            }): _100.Commit;
            fromAmino(object: _100.CommitAmino): _100.Commit;
            toAmino(message: _100.Commit): _100.CommitAmino;
            fromAminoMsg(object: _100.CommitAminoMsg): _100.Commit;
            fromProtoMsg(message: _100.CommitProtoMsg): _100.Commit;
            toProto(message: _100.Commit): Uint8Array;
            toProtoMsg(message: _100.Commit): _100.CommitProtoMsg;
        };
        CommitSig: {
            encode(message: _100.CommitSig, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _100.CommitSig;
            fromPartial(object: {
                blockIdFlag?: _101.BlockIDFlag;
                validatorAddress?: Uint8Array;
                timestamp?: Date;
                signature?: Uint8Array;
            }): _100.CommitSig;
            fromAmino(object: _100.CommitSigAmino): _100.CommitSig;
            toAmino(message: _100.CommitSig): _100.CommitSigAmino;
            fromAminoMsg(object: _100.CommitSigAminoMsg): _100.CommitSig;
            fromProtoMsg(message: _100.CommitSigProtoMsg): _100.CommitSig;
            toProto(message: _100.CommitSig): Uint8Array;
            toProtoMsg(message: _100.CommitSig): _100.CommitSigProtoMsg;
        };
        ExtendedCommit: {
            encode(message: _100.ExtendedCommit, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _100.ExtendedCommit;
            fromPartial(object: {
                height?: string | number | import("long").Long;
                round?: number;
                blockId?: {
                    hash?: Uint8Array;
                    partSetHeader?: {
                        total?: number;
                        hash?: Uint8Array;
                    };
                };
                extendedSignatures?: {
                    blockIdFlag?: _101.BlockIDFlag;
                    validatorAddress?: Uint8Array;
                    timestamp?: Date;
                    signature?: Uint8Array;
                    extension?: Uint8Array;
                    extensionSignature?: Uint8Array;
                }[];
            }): _100.ExtendedCommit;
            fromAmino(object: _100.ExtendedCommitAmino): _100.ExtendedCommit;
            toAmino(message: _100.ExtendedCommit): _100.ExtendedCommitAmino;
            fromAminoMsg(object: _100.ExtendedCommitAminoMsg): _100.ExtendedCommit;
            fromProtoMsg(message: _100.ExtendedCommitProtoMsg): _100.ExtendedCommit;
            toProto(message: _100.ExtendedCommit): Uint8Array;
            toProtoMsg(message: _100.ExtendedCommit): _100.ExtendedCommitProtoMsg;
        };
        ExtendedCommitSig: {
            encode(message: _100.ExtendedCommitSig, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _100.ExtendedCommitSig;
            fromPartial(object: {
                blockIdFlag?: _101.BlockIDFlag;
                validatorAddress?: Uint8Array;
                timestamp?: Date;
                signature?: Uint8Array;
                extension?: Uint8Array;
                extensionSignature?: Uint8Array;
            }): _100.ExtendedCommitSig;
            fromAmino(object: _100.ExtendedCommitSigAmino): _100.ExtendedCommitSig;
            toAmino(message: _100.ExtendedCommitSig): _100.ExtendedCommitSigAmino;
            fromAminoMsg(object: _100.ExtendedCommitSigAminoMsg): _100.ExtendedCommitSig;
            fromProtoMsg(message: _100.ExtendedCommitSigProtoMsg): _100.ExtendedCommitSig;
            toProto(message: _100.ExtendedCommitSig): Uint8Array;
            toProtoMsg(message: _100.ExtendedCommitSig): _100.ExtendedCommitSigProtoMsg;
        };
        Proposal: {
            encode(message: _100.Proposal, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _100.Proposal;
            fromPartial(object: {
                type?: _100.SignedMsgType;
                height?: string | number | import("long").Long;
                round?: number;
                polRound?: number;
                blockId?: {
                    hash?: Uint8Array;
                    partSetHeader?: {
                        total?: number;
                        hash?: Uint8Array;
                    };
                };
                timestamp?: Date;
                signature?: Uint8Array;
            }): _100.Proposal;
            fromAmino(object: _100.ProposalAmino): _100.Proposal;
            toAmino(message: _100.Proposal): _100.ProposalAmino;
            fromAminoMsg(object: _100.ProposalAminoMsg): _100.Proposal;
            fromProtoMsg(message: _100.ProposalProtoMsg): _100.Proposal;
            toProto(message: _100.Proposal): Uint8Array;
            toProtoMsg(message: _100.Proposal): _100.ProposalProtoMsg;
        };
        SignedHeader: {
            encode(message: _100.SignedHeader, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _100.SignedHeader;
            fromPartial(object: {
                header?: {
                    version?: {
                        block?: string | number | import("long").Long;
                        app?: string | number | import("long").Long;
                    };
                    chainId?: string;
                    height?: string | number | import("long").Long;
                    time?: Date;
                    lastBlockId?: {
                        hash?: Uint8Array;
                        partSetHeader?: {
                            total?: number;
                            hash?: Uint8Array;
                        };
                    };
                    lastCommitHash?: Uint8Array;
                    dataHash?: Uint8Array;
                    validatorsHash?: Uint8Array;
                    nextValidatorsHash?: Uint8Array;
                    consensusHash?: Uint8Array;
                    appHash?: Uint8Array;
                    lastResultsHash?: Uint8Array;
                    evidenceHash?: Uint8Array;
                    proposerAddress?: Uint8Array;
                };
                commit?: {
                    height?: string | number | import("long").Long;
                    round?: number;
                    blockId?: {
                        hash?: Uint8Array;
                        partSetHeader?: {
                            total?: number;
                            hash?: Uint8Array;
                        };
                    };
                    signatures?: {
                        blockIdFlag?: _101.BlockIDFlag;
                        validatorAddress?: Uint8Array;
                        timestamp?: Date;
                        signature?: Uint8Array;
                    }[];
                };
            }): _100.SignedHeader;
            fromAmino(object: _100.SignedHeaderAmino): _100.SignedHeader;
            toAmino(message: _100.SignedHeader): _100.SignedHeaderAmino;
            fromAminoMsg(object: _100.SignedHeaderAminoMsg): _100.SignedHeader;
            fromProtoMsg(message: _100.SignedHeaderProtoMsg): _100.SignedHeader;
            toProto(message: _100.SignedHeader): Uint8Array;
            toProtoMsg(message: _100.SignedHeader): _100.SignedHeaderProtoMsg;
        };
        LightBlock: {
            encode(message: _100.LightBlock, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _100.LightBlock;
            fromPartial(object: {
                signedHeader?: {
                    header?: {
                        version?: {
                            block?: string | number | import("long").Long;
                            app?: string | number | import("long").Long;
                        };
                        chainId?: string;
                        height?: string | number | import("long").Long;
                        time?: Date;
                        lastBlockId?: {
                            hash?: Uint8Array;
                            partSetHeader?: {
                                total?: number;
                                hash?: Uint8Array;
                            };
                        };
                        lastCommitHash?: Uint8Array;
                        dataHash?: Uint8Array;
                        validatorsHash?: Uint8Array;
                        nextValidatorsHash?: Uint8Array;
                        consensusHash?: Uint8Array;
                        appHash?: Uint8Array;
                        lastResultsHash?: Uint8Array;
                        evidenceHash?: Uint8Array;
                        proposerAddress?: Uint8Array;
                    };
                    commit?: {
                        height?: string | number | import("long").Long;
                        round?: number;
                        blockId?: {
                            hash?: Uint8Array;
                            partSetHeader?: {
                                total?: number;
                                hash?: Uint8Array;
                            };
                        };
                        signatures?: {
                            blockIdFlag?: _101.BlockIDFlag;
                            validatorAddress?: Uint8Array;
                            timestamp?: Date;
                            signature?: Uint8Array;
                        }[];
                    };
                };
                validatorSet?: {
                    validators?: {
                        address?: Uint8Array;
                        pubKey?: {
                            ed25519?: Uint8Array;
                            secp256k1?: Uint8Array;
                        };
                        votingPower?: string | number | import("long").Long;
                        proposerPriority?: string | number | import("long").Long;
                    }[];
                    proposer?: {
                        address?: Uint8Array;
                        pubKey?: {
                            ed25519?: Uint8Array;
                            secp256k1?: Uint8Array;
                        };
                        votingPower?: string | number | import("long").Long;
                        proposerPriority?: string | number | import("long").Long;
                    };
                    totalVotingPower?: string | number | import("long").Long;
                };
            }): _100.LightBlock;
            fromAmino(object: _100.LightBlockAmino): _100.LightBlock;
            toAmino(message: _100.LightBlock): _100.LightBlockAmino;
            fromAminoMsg(object: _100.LightBlockAminoMsg): _100.LightBlock;
            fromProtoMsg(message: _100.LightBlockProtoMsg): _100.LightBlock;
            toProto(message: _100.LightBlock): Uint8Array;
            toProtoMsg(message: _100.LightBlock): _100.LightBlockProtoMsg;
        };
        BlockMeta: {
            encode(message: _100.BlockMeta, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _100.BlockMeta;
            fromPartial(object: {
                blockId?: {
                    hash?: Uint8Array;
                    partSetHeader?: {
                        total?: number;
                        hash?: Uint8Array;
                    };
                };
                blockSize?: string | number | import("long").Long;
                header?: {
                    version?: {
                        block?: string | number | import("long").Long;
                        app?: string | number | import("long").Long;
                    };
                    chainId?: string;
                    height?: string | number | import("long").Long;
                    time?: Date;
                    lastBlockId?: {
                        hash?: Uint8Array;
                        partSetHeader?: {
                            total?: number;
                            hash?: Uint8Array;
                        };
                    };
                    lastCommitHash?: Uint8Array;
                    dataHash?: Uint8Array;
                    validatorsHash?: Uint8Array;
                    nextValidatorsHash?: Uint8Array;
                    consensusHash?: Uint8Array;
                    appHash?: Uint8Array;
                    lastResultsHash?: Uint8Array;
                    evidenceHash?: Uint8Array;
                    proposerAddress?: Uint8Array;
                };
                numTxs?: string | number | import("long").Long;
            }): _100.BlockMeta;
            fromAmino(object: _100.BlockMetaAmino): _100.BlockMeta;
            toAmino(message: _100.BlockMeta): _100.BlockMetaAmino;
            fromAminoMsg(object: _100.BlockMetaAminoMsg): _100.BlockMeta;
            fromProtoMsg(message: _100.BlockMetaProtoMsg): _100.BlockMeta;
            toProto(message: _100.BlockMeta): Uint8Array;
            toProtoMsg(message: _100.BlockMeta): _100.BlockMetaProtoMsg;
        };
        TxProof: {
            encode(message: _100.TxProof, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _100.TxProof;
            fromPartial(object: {
                rootHash?: Uint8Array;
                data?: Uint8Array;
                proof?: {
                    total?: string | number | import("long").Long;
                    index?: string | number | import("long").Long;
                    leafHash?: Uint8Array;
                    aunts?: Uint8Array[];
                };
            }): _100.TxProof;
            fromAmino(object: _100.TxProofAmino): _100.TxProof;
            toAmino(message: _100.TxProof): _100.TxProofAmino;
            fromAminoMsg(object: _100.TxProofAminoMsg): _100.TxProof;
            fromProtoMsg(message: _100.TxProofProtoMsg): _100.TxProof;
            toProto(message: _100.TxProof): Uint8Array;
            toProtoMsg(message: _100.TxProof): _100.TxProofProtoMsg;
        };
        ConsensusParams: {
            encode(message: _99.ConsensusParams, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _99.ConsensusParams;
            fromPartial(object: {
                block?: {
                    maxBytes?: string | number | import("long").Long;
                    maxGas?: string | number | import("long").Long;
                };
                evidence?: {
                    maxAgeNumBlocks?: string | number | import("long").Long;
                    maxAgeDuration?: {
                        seconds?: string | number | import("long").Long;
                        nanos?: number;
                    };
                    maxBytes?: string | number | import("long").Long;
                };
                validator?: {
                    pubKeyTypes?: string[];
                };
                version?: {
                    app?: string | number | import("long").Long;
                };
                abci?: {
                    voteExtensionsEnableHeight?: string | number | import("long").Long;
                };
            }): _99.ConsensusParams;
            fromAmino(object: _99.ConsensusParamsAmino): _99.ConsensusParams;
            toAmino(message: _99.ConsensusParams): _99.ConsensusParamsAmino;
            fromAminoMsg(object: _99.ConsensusParamsAminoMsg): _99.ConsensusParams;
            fromProtoMsg(message: _99.ConsensusParamsProtoMsg): _99.ConsensusParams;
            toProto(message: _99.ConsensusParams): Uint8Array;
            toProtoMsg(message: _99.ConsensusParams): _99.ConsensusParamsProtoMsg;
        };
        BlockParams: {
            encode(message: _99.BlockParams, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _99.BlockParams;
            fromPartial(object: {
                maxBytes?: string | number | import("long").Long;
                maxGas?: string | number | import("long").Long;
            }): _99.BlockParams;
            fromAmino(object: _99.BlockParamsAmino): _99.BlockParams;
            toAmino(message: _99.BlockParams): _99.BlockParamsAmino;
            fromAminoMsg(object: _99.BlockParamsAminoMsg): _99.BlockParams;
            fromProtoMsg(message: _99.BlockParamsProtoMsg): _99.BlockParams;
            toProto(message: _99.BlockParams): Uint8Array;
            toProtoMsg(message: _99.BlockParams): _99.BlockParamsProtoMsg;
        };
        EvidenceParams: {
            encode(message: _99.EvidenceParams, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _99.EvidenceParams;
            fromPartial(object: {
                maxAgeNumBlocks?: string | number | import("long").Long;
                maxAgeDuration?: {
                    seconds?: string | number | import("long").Long;
                    nanos?: number;
                };
                maxBytes?: string | number | import("long").Long;
            }): _99.EvidenceParams;
            fromAmino(object: _99.EvidenceParamsAmino): _99.EvidenceParams;
            toAmino(message: _99.EvidenceParams): _99.EvidenceParamsAmino;
            fromAminoMsg(object: _99.EvidenceParamsAminoMsg): _99.EvidenceParams;
            fromProtoMsg(message: _99.EvidenceParamsProtoMsg): _99.EvidenceParams;
            toProto(message: _99.EvidenceParams): Uint8Array;
            toProtoMsg(message: _99.EvidenceParams): _99.EvidenceParamsProtoMsg;
        };
        ValidatorParams: {
            encode(message: _99.ValidatorParams, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _99.ValidatorParams;
            fromPartial(object: {
                pubKeyTypes?: string[];
            }): _99.ValidatorParams;
            fromAmino(object: _99.ValidatorParamsAmino): _99.ValidatorParams;
            toAmino(message: _99.ValidatorParams): _99.ValidatorParamsAmino;
            fromAminoMsg(object: _99.ValidatorParamsAminoMsg): _99.ValidatorParams;
            fromProtoMsg(message: _99.ValidatorParamsProtoMsg): _99.ValidatorParams;
            toProto(message: _99.ValidatorParams): Uint8Array;
            toProtoMsg(message: _99.ValidatorParams): _99.ValidatorParamsProtoMsg;
        };
        VersionParams: {
            encode(message: _99.VersionParams, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _99.VersionParams;
            fromPartial(object: {
                app?: string | number | import("long").Long;
            }): _99.VersionParams;
            fromAmino(object: _99.VersionParamsAmino): _99.VersionParams;
            toAmino(message: _99.VersionParams): _99.VersionParamsAmino;
            fromAminoMsg(object: _99.VersionParamsAminoMsg): _99.VersionParams;
            fromProtoMsg(message: _99.VersionParamsProtoMsg): _99.VersionParams;
            toProto(message: _99.VersionParams): Uint8Array;
            toProtoMsg(message: _99.VersionParams): _99.VersionParamsProtoMsg;
        };
        HashedParams: {
            encode(message: _99.HashedParams, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _99.HashedParams;
            fromPartial(object: {
                blockMaxBytes?: string | number | import("long").Long;
                blockMaxGas?: string | number | import("long").Long;
            }): _99.HashedParams;
            fromAmino(object: _99.HashedParamsAmino): _99.HashedParams;
            toAmino(message: _99.HashedParams): _99.HashedParamsAmino;
            fromAminoMsg(object: _99.HashedParamsAminoMsg): _99.HashedParams;
            fromProtoMsg(message: _99.HashedParamsProtoMsg): _99.HashedParams;
            toProto(message: _99.HashedParams): Uint8Array;
            toProtoMsg(message: _99.HashedParams): _99.HashedParamsProtoMsg;
        };
        ABCIParams: {
            encode(message: _99.ABCIParams, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _99.ABCIParams;
            fromPartial(object: {
                voteExtensionsEnableHeight?: string | number | import("long").Long;
            }): _99.ABCIParams;
            fromAmino(object: _99.ABCIParamsAmino): _99.ABCIParams;
            toAmino(message: _99.ABCIParams): _99.ABCIParamsAmino;
            fromAminoMsg(object: _99.ABCIParamsAminoMsg): _99.ABCIParams;
            fromProtoMsg(message: _99.ABCIParamsProtoMsg): _99.ABCIParams;
            toProto(message: _99.ABCIParams): Uint8Array;
            toProtoMsg(message: _99.ABCIParams): _99.ABCIParamsProtoMsg;
        };
        Evidence: {
            encode(message: _98.Evidence, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _98.Evidence;
            fromPartial(object: {
                duplicateVoteEvidence?: {
                    voteA?: {
                        type?: _100.SignedMsgType;
                        height?: string | number | import("long").Long;
                        round?: number;
                        blockId?: {
                            hash?: Uint8Array;
                            partSetHeader?: {
                                total?: number;
                                hash?: Uint8Array;
                            };
                        };
                        timestamp?: Date;
                        validatorAddress?: Uint8Array;
                        validatorIndex?: number;
                        signature?: Uint8Array;
                        extension?: Uint8Array;
                        extensionSignature?: Uint8Array;
                    };
                    voteB?: {
                        type?: _100.SignedMsgType;
                        height?: string | number | import("long").Long;
                        round?: number;
                        blockId?: {
                            hash?: Uint8Array;
                            partSetHeader?: {
                                total?: number;
                                hash?: Uint8Array;
                            };
                        };
                        timestamp?: Date;
                        validatorAddress?: Uint8Array;
                        validatorIndex?: number;
                        signature?: Uint8Array;
                        extension?: Uint8Array;
                        extensionSignature?: Uint8Array;
                    };
                    totalVotingPower?: string | number | import("long").Long;
                    validatorPower?: string | number | import("long").Long;
                    timestamp?: Date;
                };
                lightClientAttackEvidence?: {
                    conflictingBlock?: {
                        signedHeader?: {
                            header?: {
                                version?: {
                                    block?: string | number | import("long").Long;
                                    app?: string | number | import("long").Long;
                                };
                                chainId?: string;
                                height?: string | number | import("long").Long;
                                time?: Date;
                                lastBlockId?: {
                                    hash?: Uint8Array;
                                    partSetHeader?: {
                                        total?: number;
                                        hash?: Uint8Array;
                                    };
                                };
                                lastCommitHash?: Uint8Array;
                                dataHash?: Uint8Array;
                                validatorsHash?: Uint8Array;
                                nextValidatorsHash?: Uint8Array;
                                consensusHash?: Uint8Array;
                                appHash?: Uint8Array;
                                lastResultsHash?: Uint8Array;
                                evidenceHash?: Uint8Array;
                                proposerAddress?: Uint8Array;
                            };
                            commit?: {
                                height?: string | number | import("long").Long;
                                round?: number;
                                blockId?: {
                                    hash?: Uint8Array;
                                    partSetHeader?: {
                                        total?: number;
                                        hash?: Uint8Array;
                                    };
                                };
                                signatures?: {
                                    blockIdFlag?: _101.BlockIDFlag;
                                    validatorAddress?: Uint8Array;
                                    timestamp?: Date;
                                    signature?: Uint8Array;
                                }[];
                            };
                        };
                        validatorSet?: {
                            validators?: {
                                address?: Uint8Array;
                                pubKey?: {
                                    ed25519?: Uint8Array;
                                    secp256k1?: Uint8Array;
                                };
                                votingPower?: string | number | import("long").Long;
                                proposerPriority?: string | number | import("long").Long;
                            }[];
                            proposer?: {
                                address?: Uint8Array;
                                pubKey?: {
                                    ed25519?: Uint8Array;
                                    secp256k1?: Uint8Array;
                                };
                                votingPower?: string | number | import("long").Long;
                                proposerPriority?: string | number | import("long").Long;
                            };
                            totalVotingPower?: string | number | import("long").Long;
                        };
                    };
                    commonHeight?: string | number | import("long").Long;
                    byzantineValidators?: {
                        address?: Uint8Array;
                        pubKey?: {
                            ed25519?: Uint8Array;
                            secp256k1?: Uint8Array;
                        };
                        votingPower?: string | number | import("long").Long;
                        proposerPriority?: string | number | import("long").Long;
                    }[];
                    totalVotingPower?: string | number | import("long").Long;
                    timestamp?: Date;
                };
            }): _98.Evidence;
            fromAmino(object: _98.EvidenceAmino): _98.Evidence;
            toAmino(message: _98.Evidence): _98.EvidenceAmino;
            fromAminoMsg(object: _98.EvidenceAminoMsg): _98.Evidence;
            fromProtoMsg(message: _98.EvidenceProtoMsg): _98.Evidence;
            toProto(message: _98.Evidence): Uint8Array;
            toProtoMsg(message: _98.Evidence): _98.EvidenceProtoMsg;
        };
        DuplicateVoteEvidence: {
            encode(message: _98.DuplicateVoteEvidence, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _98.DuplicateVoteEvidence;
            fromPartial(object: {
                voteA?: {
                    type?: _100.SignedMsgType;
                    height?: string | number | import("long").Long;
                    round?: number;
                    blockId?: {
                        hash?: Uint8Array;
                        partSetHeader?: {
                            total?: number;
                            hash?: Uint8Array;
                        };
                    };
                    timestamp?: Date;
                    validatorAddress?: Uint8Array;
                    validatorIndex?: number;
                    signature?: Uint8Array;
                    extension?: Uint8Array;
                    extensionSignature?: Uint8Array;
                };
                voteB?: {
                    type?: _100.SignedMsgType;
                    height?: string | number | import("long").Long;
                    round?: number;
                    blockId?: {
                        hash?: Uint8Array;
                        partSetHeader?: {
                            total?: number;
                            hash?: Uint8Array;
                        };
                    };
                    timestamp?: Date;
                    validatorAddress?: Uint8Array;
                    validatorIndex?: number;
                    signature?: Uint8Array;
                    extension?: Uint8Array;
                    extensionSignature?: Uint8Array;
                };
                totalVotingPower?: string | number | import("long").Long;
                validatorPower?: string | number | import("long").Long;
                timestamp?: Date;
            }): _98.DuplicateVoteEvidence;
            fromAmino(object: _98.DuplicateVoteEvidenceAmino): _98.DuplicateVoteEvidence;
            toAmino(message: _98.DuplicateVoteEvidence): _98.DuplicateVoteEvidenceAmino;
            fromAminoMsg(object: _98.DuplicateVoteEvidenceAminoMsg): _98.DuplicateVoteEvidence;
            fromProtoMsg(message: _98.DuplicateVoteEvidenceProtoMsg): _98.DuplicateVoteEvidence;
            toProto(message: _98.DuplicateVoteEvidence): Uint8Array;
            toProtoMsg(message: _98.DuplicateVoteEvidence): _98.DuplicateVoteEvidenceProtoMsg;
        };
        LightClientAttackEvidence: {
            encode(message: _98.LightClientAttackEvidence, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _98.LightClientAttackEvidence;
            fromPartial(object: {
                conflictingBlock?: {
                    signedHeader?: {
                        header?: {
                            version?: {
                                block?: string | number | import("long").Long;
                                app?: string | number | import("long").Long;
                            };
                            chainId?: string;
                            height?: string | number | import("long").Long;
                            time?: Date;
                            lastBlockId?: {
                                hash?: Uint8Array;
                                partSetHeader?: {
                                    total?: number;
                                    hash?: Uint8Array;
                                };
                            };
                            lastCommitHash?: Uint8Array;
                            dataHash?: Uint8Array;
                            validatorsHash?: Uint8Array;
                            nextValidatorsHash?: Uint8Array;
                            consensusHash?: Uint8Array;
                            appHash?: Uint8Array;
                            lastResultsHash?: Uint8Array;
                            evidenceHash?: Uint8Array;
                            proposerAddress?: Uint8Array;
                        };
                        commit?: {
                            height?: string | number | import("long").Long;
                            round?: number;
                            blockId?: {
                                hash?: Uint8Array;
                                partSetHeader?: {
                                    total?: number;
                                    hash?: Uint8Array;
                                };
                            };
                            signatures?: {
                                blockIdFlag?: _101.BlockIDFlag;
                                validatorAddress?: Uint8Array;
                                timestamp?: Date;
                                signature?: Uint8Array;
                            }[];
                        };
                    };
                    validatorSet?: {
                        validators?: {
                            address?: Uint8Array;
                            pubKey?: {
                                ed25519?: Uint8Array;
                                secp256k1?: Uint8Array;
                            };
                            votingPower?: string | number | import("long").Long;
                            proposerPriority?: string | number | import("long").Long;
                        }[];
                        proposer?: {
                            address?: Uint8Array;
                            pubKey?: {
                                ed25519?: Uint8Array;
                                secp256k1?: Uint8Array;
                            };
                            votingPower?: string | number | import("long").Long;
                            proposerPriority?: string | number | import("long").Long;
                        };
                        totalVotingPower?: string | number | import("long").Long;
                    };
                };
                commonHeight?: string | number | import("long").Long;
                byzantineValidators?: {
                    address?: Uint8Array;
                    pubKey?: {
                        ed25519?: Uint8Array;
                        secp256k1?: Uint8Array;
                    };
                    votingPower?: string | number | import("long").Long;
                    proposerPriority?: string | number | import("long").Long;
                }[];
                totalVotingPower?: string | number | import("long").Long;
                timestamp?: Date;
            }): _98.LightClientAttackEvidence;
            fromAmino(object: _98.LightClientAttackEvidenceAmino): _98.LightClientAttackEvidence;
            toAmino(message: _98.LightClientAttackEvidence): _98.LightClientAttackEvidenceAmino;
            fromAminoMsg(object: _98.LightClientAttackEvidenceAminoMsg): _98.LightClientAttackEvidence;
            fromProtoMsg(message: _98.LightClientAttackEvidenceProtoMsg): _98.LightClientAttackEvidence;
            toProto(message: _98.LightClientAttackEvidence): Uint8Array;
            toProtoMsg(message: _98.LightClientAttackEvidence): _98.LightClientAttackEvidenceProtoMsg;
        };
        EvidenceList: {
            encode(message: _98.EvidenceList, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _98.EvidenceList;
            fromPartial(object: {
                evidence?: {
                    duplicateVoteEvidence?: {
                        voteA?: {
                            type?: _100.SignedMsgType;
                            height?: string | number | import("long").Long;
                            round?: number;
                            blockId?: {
                                hash?: Uint8Array;
                                partSetHeader?: {
                                    total?: number;
                                    hash?: Uint8Array;
                                };
                            };
                            timestamp?: Date;
                            validatorAddress?: Uint8Array;
                            validatorIndex?: number;
                            signature?: Uint8Array;
                            extension?: Uint8Array;
                            extensionSignature?: Uint8Array;
                        };
                        voteB?: {
                            type?: _100.SignedMsgType;
                            height?: string | number | import("long").Long;
                            round?: number;
                            blockId?: {
                                hash?: Uint8Array;
                                partSetHeader?: {
                                    total?: number;
                                    hash?: Uint8Array;
                                };
                            };
                            timestamp?: Date;
                            validatorAddress?: Uint8Array;
                            validatorIndex?: number;
                            signature?: Uint8Array;
                            extension?: Uint8Array;
                            extensionSignature?: Uint8Array;
                        };
                        totalVotingPower?: string | number | import("long").Long;
                        validatorPower?: string | number | import("long").Long;
                        timestamp?: Date;
                    };
                    lightClientAttackEvidence?: {
                        conflictingBlock?: {
                            signedHeader?: {
                                header?: {
                                    version?: {
                                        block?: string | number | import("long").Long;
                                        app?: string | number | import("long").Long;
                                    };
                                    chainId?: string;
                                    height?: string | number | import("long").Long;
                                    time?: Date;
                                    lastBlockId?: {
                                        hash?: Uint8Array;
                                        partSetHeader?: {
                                            total?: number;
                                            hash?: Uint8Array;
                                        };
                                    };
                                    lastCommitHash?: Uint8Array;
                                    dataHash?: Uint8Array;
                                    validatorsHash?: Uint8Array;
                                    nextValidatorsHash?: Uint8Array;
                                    consensusHash?: Uint8Array;
                                    appHash?: Uint8Array;
                                    lastResultsHash?: Uint8Array;
                                    evidenceHash?: Uint8Array;
                                    proposerAddress?: Uint8Array;
                                };
                                commit?: {
                                    height?: string | number | import("long").Long;
                                    round?: number;
                                    blockId?: {
                                        hash?: Uint8Array;
                                        partSetHeader?: {
                                            total?: number;
                                            hash?: Uint8Array;
                                        };
                                    };
                                    signatures?: {
                                        blockIdFlag?: _101.BlockIDFlag;
                                        validatorAddress?: Uint8Array;
                                        timestamp?: Date;
                                        signature?: Uint8Array;
                                    }[];
                                };
                            };
                            validatorSet?: {
                                validators?: {
                                    address?: Uint8Array;
                                    pubKey?: {
                                        ed25519?: Uint8Array;
                                        secp256k1?: Uint8Array;
                                    };
                                    votingPower?: string | number | import("long").Long;
                                    proposerPriority?: string | number | import("long").Long;
                                }[];
                                proposer?: {
                                    address?: Uint8Array;
                                    pubKey?: {
                                        ed25519?: Uint8Array;
                                        secp256k1?: Uint8Array;
                                    };
                                    votingPower?: string | number | import("long").Long;
                                    proposerPriority?: string | number | import("long").Long;
                                };
                                totalVotingPower?: string | number | import("long").Long;
                            };
                        };
                        commonHeight?: string | number | import("long").Long;
                        byzantineValidators?: {
                            address?: Uint8Array;
                            pubKey?: {
                                ed25519?: Uint8Array;
                                secp256k1?: Uint8Array;
                            };
                            votingPower?: string | number | import("long").Long;
                            proposerPriority?: string | number | import("long").Long;
                        }[];
                        totalVotingPower?: string | number | import("long").Long;
                        timestamp?: Date;
                    };
                }[];
            }): _98.EvidenceList;
            fromAmino(object: _98.EvidenceListAmino): _98.EvidenceList;
            toAmino(message: _98.EvidenceList): _98.EvidenceListAmino;
            fromAminoMsg(object: _98.EvidenceListAminoMsg): _98.EvidenceList;
            fromProtoMsg(message: _98.EvidenceListProtoMsg): _98.EvidenceList;
            toProto(message: _98.EvidenceList): Uint8Array;
            toProtoMsg(message: _98.EvidenceList): _98.EvidenceListProtoMsg;
        };
        Block: {
            encode(message: _97.Block, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _97.Block;
            fromPartial(object: {
                header?: {
                    version?: {
                        block?: string | number | import("long").Long;
                        app?: string | number | import("long").Long;
                    };
                    chainId?: string;
                    height?: string | number | import("long").Long;
                    time?: Date;
                    lastBlockId?: {
                        hash?: Uint8Array;
                        partSetHeader?: {
                            total?: number;
                            hash?: Uint8Array;
                        };
                    };
                    lastCommitHash?: Uint8Array;
                    dataHash?: Uint8Array;
                    validatorsHash?: Uint8Array;
                    nextValidatorsHash?: Uint8Array;
                    consensusHash?: Uint8Array;
                    appHash?: Uint8Array;
                    lastResultsHash?: Uint8Array;
                    evidenceHash?: Uint8Array;
                    proposerAddress?: Uint8Array;
                };
                data?: {
                    txs?: Uint8Array[];
                };
                evidence?: {
                    evidence?: {
                        duplicateVoteEvidence?: {
                            voteA?: {
                                type?: _100.SignedMsgType;
                                height?: string | number | import("long").Long;
                                round?: number;
                                blockId?: {
                                    hash?: Uint8Array;
                                    partSetHeader?: {
                                        total?: number;
                                        hash?: Uint8Array;
                                    };
                                };
                                timestamp?: Date;
                                validatorAddress?: Uint8Array;
                                validatorIndex?: number;
                                signature?: Uint8Array;
                                extension?: Uint8Array;
                                extensionSignature?: Uint8Array;
                            };
                            voteB?: {
                                type?: _100.SignedMsgType;
                                height?: string | number | import("long").Long;
                                round?: number;
                                blockId?: {
                                    hash?: Uint8Array;
                                    partSetHeader?: {
                                        total?: number;
                                        hash?: Uint8Array;
                                    };
                                };
                                timestamp?: Date;
                                validatorAddress?: Uint8Array;
                                validatorIndex?: number;
                                signature?: Uint8Array;
                                extension?: Uint8Array;
                                extensionSignature?: Uint8Array;
                            };
                            totalVotingPower?: string | number | import("long").Long;
                            validatorPower?: string | number | import("long").Long;
                            timestamp?: Date;
                        };
                        lightClientAttackEvidence?: {
                            conflictingBlock?: {
                                signedHeader?: {
                                    header?: {
                                        version?: {
                                            block?: string | number | import("long").Long;
                                            app?: string | number | import("long").Long;
                                        };
                                        chainId?: string;
                                        height?: string | number | import("long").Long;
                                        time?: Date;
                                        lastBlockId?: {
                                            hash?: Uint8Array;
                                            partSetHeader?: {
                                                total?: number;
                                                hash?: Uint8Array;
                                            };
                                        };
                                        lastCommitHash?: Uint8Array;
                                        dataHash?: Uint8Array;
                                        validatorsHash?: Uint8Array;
                                        nextValidatorsHash?: Uint8Array;
                                        consensusHash?: Uint8Array;
                                        appHash?: Uint8Array;
                                        lastResultsHash?: Uint8Array;
                                        evidenceHash?: Uint8Array;
                                        proposerAddress?: Uint8Array;
                                    };
                                    commit?: {
                                        height?: string | number | import("long").Long;
                                        round?: number;
                                        blockId?: {
                                            hash?: Uint8Array;
                                            partSetHeader?: {
                                                total?: number;
                                                hash?: Uint8Array;
                                            };
                                        };
                                        signatures?: {
                                            blockIdFlag?: _101.BlockIDFlag;
                                            validatorAddress?: Uint8Array;
                                            timestamp?: Date;
                                            signature?: Uint8Array;
                                        }[];
                                    };
                                };
                                validatorSet?: {
                                    validators?: {
                                        address?: Uint8Array;
                                        pubKey?: {
                                            ed25519?: Uint8Array;
                                            secp256k1?: Uint8Array;
                                        };
                                        votingPower?: string | number | import("long").Long;
                                        proposerPriority?: string | number | import("long").Long;
                                    }[];
                                    proposer?: {
                                        address?: Uint8Array;
                                        pubKey?: {
                                            ed25519?: Uint8Array;
                                            secp256k1?: Uint8Array;
                                        };
                                        votingPower?: string | number | import("long").Long;
                                        proposerPriority?: string | number | import("long").Long;
                                    };
                                    totalVotingPower?: string | number | import("long").Long;
                                };
                            };
                            commonHeight?: string | number | import("long").Long;
                            byzantineValidators?: {
                                address?: Uint8Array;
                                pubKey?: {
                                    ed25519?: Uint8Array;
                                    secp256k1?: Uint8Array;
                                };
                                votingPower?: string | number | import("long").Long;
                                proposerPriority?: string | number | import("long").Long;
                            }[];
                            totalVotingPower?: string | number | import("long").Long;
                            timestamp?: Date;
                        };
                    }[];
                };
                lastCommit?: {
                    height?: string | number | import("long").Long;
                    round?: number;
                    blockId?: {
                        hash?: Uint8Array;
                        partSetHeader?: {
                            total?: number;
                            hash?: Uint8Array;
                        };
                    };
                    signatures?: {
                        blockIdFlag?: _101.BlockIDFlag;
                        validatorAddress?: Uint8Array;
                        timestamp?: Date;
                        signature?: Uint8Array;
                    }[];
                };
            }): _97.Block;
            fromAmino(object: _97.BlockAmino): _97.Block;
            toAmino(message: _97.Block): _97.BlockAmino;
            fromAminoMsg(object: _97.BlockAminoMsg): _97.Block;
            fromProtoMsg(message: _97.BlockProtoMsg): _97.Block;
            toProto(message: _97.Block): Uint8Array;
            toProtoMsg(message: _97.Block): _97.BlockProtoMsg;
        };
    };
    const version: {
        App: {
            encode(message: _102.App, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _102.App;
            fromPartial(object: {
                protocol?: string | number | import("long").Long;
                software?: string;
            }): _102.App;
            fromAmino(object: _102.AppAmino): _102.App;
            toAmino(message: _102.App): _102.AppAmino;
            fromAminoMsg(object: _102.AppAminoMsg): _102.App;
            fromProtoMsg(message: _102.AppProtoMsg): _102.App;
            toProto(message: _102.App): Uint8Array;
            toProtoMsg(message: _102.App): _102.AppProtoMsg;
        };
        Consensus: {
            encode(message: _102.Consensus, writer?: import("protobufjs").Writer): import("protobufjs").Writer;
            decode(input: Uint8Array | import("protobufjs").Reader, length?: number): _102.Consensus;
            fromPartial(object: {
                block?: string | number | import("long").Long;
                app?: string | number | import("long").Long;
            }): _102.Consensus;
            fromAmino(object: _102.ConsensusAmino): _102.Consensus;
            toAmino(message: _102.Consensus): _102.ConsensusAmino;
            fromAminoMsg(object: _102.ConsensusAminoMsg): _102.Consensus;
            fromProtoMsg(message: _102.ConsensusProtoMsg): _102.Consensus;
            toProto(message: _102.Consensus): Uint8Array;
            toProtoMsg(message: _102.Consensus): _102.ConsensusProtoMsg;
        };
    };
}
